merged changes from debian-cd trunk to debian-edu branch

remove debian-edu task since it is linked into place from a generated file
in the debian-edu CD build system
This commit is contained in:
Joey Hess 2004-09-07 17:42:40 +00:00
parent f270a74ade
commit c004f12da1
33 changed files with 20502 additions and 957 deletions

23
CONF.sh
View File

@ -48,8 +48,8 @@ unset SPLASHPNG || true
# Where I am (hoping I'm in the debian-cd dir) # Where I am (hoping I'm in the debian-cd dir)
export BASEDIR=`pwd` export BASEDIR=`pwd`
# Building woody cd set ... # Building sarge cd set ...
export CODENAME=woody export CODENAME=sarge
# By default use Debian installer packages from $CODENAME # By default use Debian installer packages from $CODENAME
if [ ! "$DI_CODENAME" ] if [ ! "$DI_CODENAME" ]
@ -57,8 +57,14 @@ then
export DI_CODENAME=$CODENAME export DI_CODENAME=$CODENAME
fi fi
# If set, controls where the d-i components are downloaded from.
# This may be an url, or "default", which will make it use the default url
# for the daily d-i builds. If not set, uses the official d-i images from
# the Debian mirror.
#export DI_WWW_HOME=default
# Version number, "2.2 r0", "2.2 r1" etc. # Version number, "2.2 r0", "2.2 r1" etc.
export DEBVERSION="3.0" export DEBVERSION="3.1"
# Official or non-official set. # Official or non-official set.
# NOTE: THE "OFFICIAL" DESIGNATION IS ONLY ALLOWED FOR IMAGES AVAILABLE # NOTE: THE "OFFICIAL" DESIGNATION IS ONLY ALLOWED FOR IMAGES AVAILABLE
@ -158,9 +164,9 @@ export DEFBINSIZE=630
export DEFSRCSIZE=635 export DEFSRCSIZE=635
# We don't want certain packages to take up space on CD1... # We don't want certain packages to take up space on CD1...
#export EXCLUDE="$BASEDIR"/tasks/exclude-potato export EXCLUDE="$BASEDIR"/tasks/exclude-sarge
# ...but they are okay for other CDs (UNEXCLUDEx == may be included on CD >= x) # ...but they are okay for other CDs (UNEXCLUDEx == may be included on CD >= x)
#export UNEXCLUDE2="$BASEDIR"/tasks/unexclude-CD2-potato export UNEXCLUDE2="$BASEDIR"/tasks/unexclude-CD2-sarge
# Any packages listed in EXCLUDE but not in any UNEXCLUDE will be # Any packages listed in EXCLUDE but not in any UNEXCLUDE will be
# excluded completely. # excluded completely.
@ -169,7 +175,7 @@ export DEFSRCSIZE=635
# Set this if the recommended packages should be skipped when adding # Set this if the recommended packages should be skipped when adding
# package on the CD. The default is 'false'. # package on the CD. The default is 'false'.
#export NORECOMMENDS=1 export NORECOMMENDS=1
# Set this if the suggested packages should be skipped when adding # Set this if the suggested packages should be skipped when adding
# package on the CD. The default is 'true'. # package on the CD. The default is 'true'.
@ -272,3 +278,8 @@ export PUBLISH_PATH="/home/jigdo-area/"
# If set, overrides the boot picture used. # If set, overrides the boot picture used.
#export SPLASHPNG="$BASEDIR/data/$CODENAME/splash-img.png" #export SPLASHPNG="$BASEDIR/data/$CODENAME/splash-img.png"
# Used by build.sh to determine what to build, this is the name of a target
# in the Makefile. Use bin-official_images to build only binary CDs. The
# default, official_images, builds everything.
#IMAGETARGET=official_images

View File

@ -71,7 +71,7 @@ JIGDOSCRIPT=$(BASEDIR)/tools/jigdo_header
endif endif
ifndef UDEB_INCLUDE ifndef UDEB_INCLUDE
# Netinst/businesscard CD should have udeb_include file by default # Netinst/businesscard CD have different udeb_include files
ifeq ($(INSTALLER_CD),1) ifeq ($(INSTALLER_CD),1)
UDEB_INCLUDE=$(BASEDIR)/data/$(DI_CODENAME)/$(ARCH)_businesscard_udeb_include UDEB_INCLUDE=$(BASEDIR)/data/$(DI_CODENAME)/$(ARCH)_businesscard_udeb_include
endif endif
@ -79,6 +79,11 @@ ifeq ($(INSTALLER_CD),2)
UDEB_INCLUDE=$(BASEDIR)/data/$(DI_CODENAME)/$(ARCH)_netinst_udeb_include UDEB_INCLUDE=$(BASEDIR)/data/$(DI_CODENAME)/$(ARCH)_netinst_udeb_include
endif endif
endif endif
# Default udeb_include files.
ifndef UDEB_INCLUDE
UDEB_INCLUDE=$(BASEDIR)/data/$(DI_CODENAME)/$(ARCH)_udeb_include
endif
## Internal variables ## Internal variables
apt=$(BASEDIR)/tools/apt-selection apt=$(BASEDIR)/tools/apt-selection
@ -202,13 +207,13 @@ unstable-map:
# CLeans the current arch tree (but not packages selection info) # CLeans the current arch tree (but not packages selection info)
clean: ok bin-clean src-clean clean: ok bin-clean src-clean
bin-clean: bin-clean:
$(Q)rm -rf $(BDIR)/CD[1234567890] $(Q)rm -rf $(BDIR)/CD[1234567890]*
$(Q)rm -rf $(BDIR)/*_NONUS $(Q)rm -rf $(BDIR)/*_NONUS
$(Q)rm -f $(BDIR)/*.filelist* $(Q)rm -f $(BDIR)/*.filelist*
$(Q)rm -f $(BDIR)/packages-stamp $(BDIR)/bootable-stamp \ $(Q)rm -f $(BDIR)/packages-stamp $(BDIR)/bootable-stamp \
$(BDIR)/upgrade-stamp $(BDIR)/secured-stamp $(BDIR)/upgrade-stamp $(BDIR)/secured-stamp
src-clean: src-clean:
$(Q)rm -rf $(SDIR)/CD[1234567890] $(Q)rm -rf $(SDIR)/CD[1234567890]*
$(Q)rm -rf $(SDIR)/*_NONUS $(Q)rm -rf $(SDIR)/*_NONUS
$(Q)rm -rf $(SDIR)/sources-stamp $(SDIR)/secured-stamp $(Q)rm -rf $(SDIR)/sources-stamp $(SDIR)/secured-stamp
@ -1031,23 +1036,23 @@ conf:
mirrorcheck: ok apt-update mirrorcheck: ok apt-update
$(Q)$(apt) cache dumpavail | $(mirrorcheck) $(Q)$(apt) cache dumpavail | $(mirrorcheck)
update-popcon: tasks/popularity-contest-$(CODENAME) update-popcon:
tasks/popularity-contest-$(CODENAME):
rm -f popcon-inst rm -f popcon-inst
( \ ( \
echo '/*' ; \ echo '/*' ; \
echo ' Popularity Contest results' ; \ echo ' Popularity Contest results' ; \
echo ' See the README for details on updating.' ; \ echo ' See the README for details on updating.' ; \
echo '' ; \ echo '' ; \
echo ' Last update: $$''Date''$$' ; \ echo ' Last update: $(shell date)' ; \
echo '*/' ; \ echo '*/' ; \
echo '' ; \ echo '' ; \
) > $@ ) > tasks/popularity-contest-$(CODENAME)
wget --output-document popcon-inst \ wget --output-document popcon-inst \
http://popcon.debian.org/main/by_inst \ http://popcon.debian.org/main/by_inst \
http://popcon.debian.org/contrib/by_inst http://popcon.debian.org/contrib/by_inst
grep -h '^[^#]' popcon-inst | egrep -v '(Total|-----)' | \ grep -h '^[^#]' popcon-inst | egrep -v '(Total|-----)' | \
sort -rn -k3,3 -k7,7 -k4,4 | awk '{print $$2}' >> $@ sort -rn -k3,3 -k7,7 -k4,4 | grep -v kernel-source | \
awk '{print $$2}' >> tasks/popularity-contest-$(CODENAME)
rm -f popcon-inst rm -f popcon-inst
# Little trick to simplify things # Little trick to simplify things

View File

@ -7,6 +7,10 @@ if [ -z "$CF" ] ; then
fi fi
. $CF . $CF
if [ -z "$COMPLETE" ] ; then
export COMPLETE=1
fi
if [ -n "$1" ] ; then if [ -n "$1" ] ; then
export ARCH=$1 export ARCH=$1
fi fi
@ -51,7 +55,7 @@ for CD in 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15; do
done done
FULL_SIZE=`echo "($DEFSRCSIZE - $size) * 1024 * 1024" | bc` FULL_SIZE=`echo "($DEFSRCSIZE - $size) * 1024 * 1024" | bc`
make list COMPLETE=1 $SIZE_ARGS SRCSIZELIMIT=$FULL_SIZE make list $SIZE_ARGS SRCSIZELIMIT=$FULL_SIZE
echo " ... building the images" echo " ... building the images"
if [ -z "$IMAGETARGET" ] ; then if [ -z "$IMAGETARGET" ] ; then
IMAGETARGET="official_images" IMAGETARGET="official_images"

View File

@ -12,23 +12,27 @@ anna
di-utils-shell di-utils-shell
di-utils-reboot di-utils-reboot
lowmemcheck lowmemcheck
# build/pkg-lists/cdrom/common, in d-i cvs # build/pkg-lists/cdrom/common, in d-i cvs (also included in the
# root+cd-drivers floppies)
busybox-cvs-udeb busybox-cvs-udeb
rootskel-locale rootskel-locale
languagechooser languagechooser
countrychooser countrychooser
iso-3166-udeb
hw-detect hw-detect
cdrom-detect cdrom-detect
cdrom-retriever cdrom-retriever
load-installer load-cdrom
cdrom-checker cdrom-checker
bogl-bterm-udeb bogl-bterm-udeb
di-utils-terminfo di-utils-terminfo
cdebconf-priority cdebconf-priority
cdebconf-newt-udeb cdebconf-newt-udeb
usb-discover usb-discover
file-preseed
nano-udeb nano-udeb
floppy-retriever floppy-retriever
libfribidi0-udeb
# Already on the initrd, thanks to library reduction. # Already on the initrd, thanks to library reduction.
libdebconfclient0-udeb libdebconfclient0-udeb
# A reduced version is on the initrd. Nothing currently needs the full # A reduced version is on the initrd. Nothing currently needs the full
@ -51,7 +55,6 @@ libgtk+2.0-directfb0-udeb
libpango1.0-udeb libpango1.0-udeb
libpng12-0-udeb libpng12-0-udeb
ttf-freefont-udeb ttf-freefont-udeb
zlib1g-udeb
# This udeb is not in good shape and is largely supersceded by # This udeb is not in good shape and is largely supersceded by
# cdebconf-newt-udeb # cdebconf-newt-udeb
cdebconf-slang-udeb cdebconf-slang-udeb
@ -62,10 +65,9 @@ dhcp3-client-udeb
pump-udeb pump-udeb
# This package is only useful in the d-i-demo. # This package is only useful in the d-i-demo.
di-utils-exit-installer di-utils-exit-installer
# These loader udebs are not currently used on this CDs. That may change, # No need for these loaders.
# but for now load-installer is used. load-installer
download-installer download-installer
load-cdrom
load-floppy load-floppy
# Only useful in the hd-media initrd. # Only useful in the hd-media initrd.
iso-scan iso-scan

View File

@ -1,15 +1,15 @@
# These udebs are in the d-i cdrom initrd and the hd-media initrd. # These udebs are in the d-i cdrom initrd and the cd-drivers+root floppies.
# As such, there is no reason to keep another copy of them on the CD # As such, there is no reason to keep another copy of them on the CD
# in udeb form. # in udeb form.
isa-pnp-modules-* isa-pnp-modules-*
socket-modules-* socket-modules-*
console-keymaps-at console-keymaps-at
console-keymaps-usb console-keymaps-usb
floppy-modules-*
discover-data-udeb discover-data-udeb
discover-udeb discover-udeb
discover1-data-udeb discover1-data-udeb
discover1-udeb discover1-udeb
fat-modules-*
cdrom-core-modules-* cdrom-core-modules-*
cdrom-modules-* cdrom-modules-*
ide-modules-* ide-modules-*
@ -25,18 +25,9 @@ userdevfs
# The speakup kernel modules are not useful unless the access images are # The speakup kernel modules are not useful unless the access images are
# provided. # provided.
*-speakup-di *-speakup-di
# These packages are for the old partitioning system, and should not be
# included as they confuse users.
# Note that partconf-find-partitions is used by lvmcfg-utils, so is not
# excluded likewise, partconf-mkfstab is used by autopartkit.
partconf
partitioner
# This is obsolete.
discover2-data-udeb
# autopartkit does not work with lvm2, so exclude that and things that # autopartkit does not work with lvm2, so exclude that and things that
# depend on it. # depend on it for debian-edu.
lvm2-udeb lvm2-udeb
lvmcfg-utils lvmcfg-utils
lvmcfg lvmcfg

View File

@ -2,3 +2,5 @@ netcfg
ethdetect ethdetect
pcmcia-cs-udeb pcmcia-cs-udeb
wireless-tools-udeb wireless-tools-udeb
debian-edu-install-udeb
debian-edu-profile-udeb

View File

@ -2,7 +2,7 @@ partition=1
timeout=600 timeout=600
message=/boot/debian.txt message=/boot/debian.txt
default=linux default=linux
append="cdrom devfs=mount rw ramdisk_size=8192" append="cdrom devfs=mount rw"
initrd=/boot/initrd.gz initrd=/boot/initrd.gz
root=/dev/rd/0 root=/dev/rd/0

View File

@ -1,2 +0,0 @@
debian-edu-install-udeb
debian-edu-profile-udeb

View File

@ -3,20 +3,20 @@ Welcome to Debian GNU/Linux ${DEBIAN_VERSION}!
This is a Debian installation ${MEDIA_TYPE}, This is a Debian installation ${MEDIA_TYPE},
built on ${BUILD_DATE}. built on ${BUILD_DATE}.
In addition to the default 'install' option, The default option is 'install'. For maximum
there is 'install-safe' which you should try if control, you can use the 'expert' option.
the system fails to boot at all (the typical
symptom is a white screen which doesn't go away).
For maximum control, you can use the 'expert' If the system fails to boot at all (the typical
and 'expert-safe' options. symptom is a white screen which doesn't go away),
use 'install video=ofonly' or 'expert video=ofonly'.
The plain options are for the powerpc family of The plain options are for the powerpc family of
processors (from 601 to G4). The -power3 options processors (from 601 to G4). The *-power3 options
are for IBM Power3 boxes, and the -power4 options are for IBM Power3 boxes, and the *-power4 options
are for IBM Power4 and Apple G5 boxes. are for IBM Power4 and Apple G5 boxes. Press the tab
key for a list of options, or type 'help' for help.
************************************ ************************************
If in doubt, just choose 'install', and if that If in doubt, just choose 'install', and if that
doesn't work, try 'install-safe'. doesn't work, try 'install video=ofonly'.
************************************ ************************************

View File

@ -15,7 +15,7 @@ image=/install/powerpc/vmlinux
alias=install alias=install
initrd=/install/powerpc/initrd.gz initrd=/install/powerpc/initrd.gz
append="devfs=mount,dall init=/linuxrc" append="devfs=mount,dall init=/linuxrc"
initrd-size=8192 initrd-size=10240
read-only read-only
image=/install/powerpc/vmlinux image=/install/powerpc/vmlinux
@ -23,24 +23,7 @@ image=/install/powerpc/vmlinux
alias=expert alias=expert
initrd=/install/powerpc/initrd.gz initrd=/install/powerpc/initrd.gz
append="DEBCONF_PRIORITY=low devfs=mount,dall init=/linuxrc" append="DEBCONF_PRIORITY=low devfs=mount,dall init=/linuxrc"
initrd-size=8192 initrd-size=10240
read-only
# some machines have wonky framebuffer support
image=/install/powerpc/vmlinux
label=install-safe-powerpc
alias=install-safe
initrd=/install/powerpc/initrd.gz
initrd-size=8192
append="devfs=mount,dall video=ofonly init=/linuxrc"
read-only
image=/install/powerpc/vmlinux
label=expert-safe-powerpc
alias=expert-safe
initrd=/install/powerpc/initrd.gz
initrd-size=8192
append="DEBCONF_PRIORITY=low devfs=mount,dall video=ofonly init=/linuxrc"
read-only read-only
# Power3 subarch # Power3 subarch
@ -48,29 +31,14 @@ image=/install/power3/vmlinux
label=install-power3 label=install-power3
initrd=/install/power3/initrd.gz initrd=/install/power3/initrd.gz
append="devfs=mount,dall init=/linuxrc" append="devfs=mount,dall init=/linuxrc"
initrd-size=8192 initrd-size=10240
read-only read-only
image=/install/power3/vmlinux image=/install/power3/vmlinux
label=expert-power3 label=expert-power3
initrd=/install/power3/initrd.gz initrd=/install/power3/initrd.gz
append="DEBCONF_PRIORITY=low devfs=mount,dall init=/linuxrc" append="DEBCONF_PRIORITY=low devfs=mount,dall init=/linuxrc"
initrd-size=8192 initrd-size=10240
read-only
# some machines have wonky framebuffer support
image=/install/power3/vmlinux
label=install-safe-power3
initrd=/install/power3/initrd.gz
initrd-size=8192
append="devfs=mount,dall video=ofonly init=/linuxrc"
read-only
image=/install/power3/vmlinux
label=expert-safe-power3
initrd=/install/power3/initrd.gz
initrd-size=8192
append="DEBCONF_PRIORITY=low devfs=mount,dall video=ofonly init=/linuxrc"
read-only read-only
# Power 4 subarch # Power 4 subarch
@ -78,123 +46,61 @@ image=/install/power4/vmlinux
label=install-power4 label=install-power4
initrd=/install/power4/initrd.gz initrd=/install/power4/initrd.gz
append="devfs=mount,dall init=/linuxrc" append="devfs=mount,dall init=/linuxrc"
initrd-size=8192 initrd-size=10240
read-only read-only
image=/install/power4/vmlinux image=/install/power4/vmlinux
label=expert-power4 label=expert-power4
initrd=/install/power4/initrd.gz initrd=/install/power4/initrd.gz
append="DEBCONF_PRIORITY=low devfs=mount,dall init=/linuxrc" append="DEBCONF_PRIORITY=low devfs=mount,dall init=/linuxrc"
initrd-size=8192 initrd-size=10240
read-only read-only
# some machines have wonky framebuffer support # ... and now massive clone-and-hack for 2.4 ...
image=/install/power4/vmlinux
label=install-safe-power4
initrd=/install/power4/initrd.gz
initrd-size=8192
append="devfs=mount,dall video=ofonly init=/linuxrc"
read-only
image=/install/power4/vmlinux
label=expert-safe-power4
initrd=/install/power4/initrd.gz
initrd-size=8192
append="DEBCONF_PRIORITY=low devfs=mount,dall video=ofonly init=/linuxrc"
read-only
# ... and now massive clone-and-hack for 2.6 ...
# Powerpc subarch # Powerpc subarch
image=/install/powerpc/2.6/vmlinux image=/install/powerpc/2.4/vmlinux
label=install-powerpc-2.6 label=install-powerpc-2.4
alias=install-2.6 alias=install-2.4
initrd=/install/powerpc/2.6/initrd.gz initrd=/install/powerpc/2.4/initrd.gz
append="devfs=mount,dall init=/linuxrc" append="devfs=mount,dall init=/linuxrc"
initrd-size=8192 initrd-size=8192
read-only read-only
image=/install/powerpc/2.6/vmlinux image=/install/powerpc/2.4/vmlinux
label=expert-powerpc-2.6 label=expert-powerpc-2.4
alias=expert-2.6 alias=expert-2.4
initrd=/install/powerpc/2.6/initrd.gz initrd=/install/powerpc/2.4/initrd.gz
append="DEBCONF_PRIORITY=low devfs=mount,dall init=/linuxrc" append="DEBCONF_PRIORITY=low devfs=mount,dall init=/linuxrc"
initrd-size=8192 initrd-size=8192
read-only read-only
# some machines have wonky framebuffer support
image=/install/powerpc/2.6/vmlinux
label=install-safe-powerpc-2.6
alias=install-safe-2.6
initrd=/install/powerpc/2.6/initrd.gz
initrd-size=8192
append="devfs=mount,dall video=ofonly init=/linuxrc"
read-only
image=/install/powerpc/2.6/vmlinux
label=expert-safe-powerpc-2.6
alias=expert-safe-2.6
initrd=/install/powerpc/2.6/initrd.gz
initrd-size=8192
append="DEBCONF_PRIORITY=low devfs=mount,dall video=ofonly init=/linuxrc"
read-only
# Power3 subarch # Power3 subarch
image=/install/power3/2.6/vmlinux image=/install/power3/2.4/vmlinux
label=install-power3-2.6 label=install-power3-2.4
initrd=/install/power3/2.6/initrd.gz initrd=/install/power3/2.4/initrd.gz
append="devfs=mount,dall init=/linuxrc" append="devfs=mount,dall init=/linuxrc"
initrd-size=8192 initrd-size=8192
read-only read-only
image=/install/power3/2.6/vmlinux image=/install/power3/2.4/vmlinux
label=expert-power3-2.6 label=expert-power3-2.4
initrd=/install/power3/2.6/initrd.gz initrd=/install/power3/2.4/initrd.gz
append="DEBCONF_PRIORITY=low devfs=mount,dall init=/linuxrc" append="DEBCONF_PRIORITY=low devfs=mount,dall init=/linuxrc"
initrd-size=8192 initrd-size=8192
read-only read-only
# some machines have wonky framebuffer support
image=/install/power3/2.6/vmlinux
label=install-safe-power3-2.6
initrd=/install/power3/2.6/initrd.gz
initrd-size=8192
append="devfs=mount,dall video=ofonly init=/linuxrc"
read-only
image=/install/power3/2.6/vmlinux
label=expert-safe-power3-2.6
initrd=/install/power3/2.6/initrd.gz
initrd-size=8192
append="DEBCONF_PRIORITY=low devfs=mount,dall video=ofonly init=/linuxrc"
read-only
# Power 4 subarch # Power 4 subarch
image=/install/power4/2.6/vmlinux image=/install/power4/2.4/vmlinux
label=install-power4-2.6 label=install-power4-2.4
initrd=/install/power4/2.6/initrd.gz initrd=/install/power4/2.4/initrd.gz
append="devfs=mount,dall init=/linuxrc" append="devfs=mount,dall init=/linuxrc"
initrd-size=8192 initrd-size=8192
read-only read-only
image=/install/power4/2.6/vmlinux image=/install/power4/2.4/vmlinux
label=expert-power4-2.6 label=expert-power4-2.4
initrd=/install/power4/2.6/initrd.gz initrd=/install/power4/2.4/initrd.gz
append="DEBCONF_PRIORITY=low devfs=mount,dall init=/linuxrc" append="DEBCONF_PRIORITY=low devfs=mount,dall init=/linuxrc"
initrd-size=8192 initrd-size=8192
read-only read-only
# some machines have wonky framebuffer support
image=/install/power4/2.6/vmlinux
label=install-safe-power4-2.6
initrd=/install/power4/2.6/initrd.gz
initrd-size=8192
append="devfs=mount,dall video=ofonly init=/linuxrc"
read-only
image=/install/power4/2.6/vmlinux
label=expert-safe-power4-2.6
initrd=/install/power4/2.6/initrd.gz
initrd-size=8192
append="DEBCONF_PRIORITY=low devfs=mount,dall video=ofonly init=/linuxrc"
read-only

93
debian/CONF.sh vendored
View File

@ -1,3 +1,7 @@
#
# This file will have to be sourced where needed
#
# Unset all optional variables first to start from a clean state # Unset all optional variables first to start from a clean state
unset NONUS || true unset NONUS || true
unset FORCENONUSONCD1 || true unset FORCENONUSONCD1 || true
@ -22,23 +26,30 @@ unset NOSUGGESTS || true
unset DOJIGDO || true unset DOJIGDO || true
unset JIGDOCMD || true unset JIGDOCMD || true
unset JIGDOTEMPLATEURL || true unset JIGDOTEMPLATEURL || true
unset JIGDOFALLBACKURLS || true
unset JIGDOINCLUDEURLS || true
unset JIGDOSCRIPT || true
unset DEFBINSIZE || true unset DEFBINSIZE || true
unset DEFSRCSIZE || true unset DEFSRCSIZE || true
unset FASTSUMS || true unset FASTSUMS || true
unset PUBLISH_URL || true unset PUBLISH_URL || true
unset PUBLISH_NONUS_URL || true unset PUBLISH_NONUS_URL || true
unset PUBLISH_PATH || true unset PUBLISH_PATH || true
unset UDEB_INCLUDE || true
unset UDEB_EXCLUDE || true
unset BASE_INCLUDE || true
unset BASE_EXCLUDE || true
unset INSTALLER_CD || true unset INSTALLER_CD || true
unset DI_CODENAME || true unset DI_CODENAME || true
unset MAXCDS || true unset MAXCDS || true
unset SPLASHPNG || true unset SPLASHPNG || true
# The debian-cd dir # The debian-cd dir
export BASEDIR=/usr/share/debian-cd # Where I am (hoping I'm in the debian-cd dir)
export BASEDIR=`pwd`
# Building woody cd set ... # Building sarge cd set ...
export CODENAME=woody export CODENAME=sarge
# By default use Debian installer packages from $CODENAME # By default use Debian installer packages from $CODENAME
if [ ! "$DI_CODENAME" ] if [ ! "$DI_CODENAME" ]
@ -46,8 +57,14 @@ then
export DI_CODENAME=$CODENAME export DI_CODENAME=$CODENAME
fi fi
# If set, controls where the d-i components are downloaded from.
# This may be an url, or "default", which will make it use the default url
# for the daily d-i builds. If not set, uses the official d-i images from
# the Debian mirror.
#export DI_WWW_HOME=default
# Version number, "2.2 r0", "2.2 r1" etc. # Version number, "2.2 r0", "2.2 r1" etc.
export DEBVERSION="3.0" export DEBVERSION="3.1"
# Official or non-official set. # Official or non-official set.
# NOTE: THE "OFFICIAL" DESIGNATION IS ONLY ALLOWED FOR IMAGES AVAILABLE # NOTE: THE "OFFICIAL" DESIGNATION IS ONLY ALLOWED FOR IMAGES AVAILABLE
@ -65,7 +82,7 @@ export ARCH=`dpkg --print-installation-architecture`
# images, however. Also, if you are using an NFS partition for # images, however. Also, if you are using an NFS partition for
# some part of this, you must use this option. # some part of this, you must use this option.
# Paths to the mirrors # Paths to the mirrors
export MIRROR=/home/ftp/debian export MIRROR=/ftp/debian
# Comment the following line if you don't have/want non-US # Comment the following line if you don't have/want non-US
#export NONUS=/ftp/debian-non-US #export NONUS=/ftp/debian-non-US
@ -76,14 +93,14 @@ export MIRROR=/home/ftp/debian
#export FORCENONUSONCD1=1 #export FORCENONUSONCD1=1
# Path of the temporary directory # Path of the temporary directory
export TDIR=/home/ftp/tmp export TDIR=/ftp/tmp
# Path where the images will be written # Path where the images will be written
export OUT=/home/ftp/debian-cd export OUT=/rack/debian-cd
# Where we keep the temporary apt stuff. # Where we keep the temporary apt stuff.
# This cannot reside on an NFS mount. # This cannot reside on an NFS mount.
export APTTMP=/home/ftp/tmp/apt export APTTMP=/ftp/tmp/apt
# Do I want to have NONFREE merged in the CD set # Do I want to have NONFREE merged in the CD set
# export NONFREE=1 # export NONFREE=1
@ -147,9 +164,9 @@ export DEFBINSIZE=630
export DEFSRCSIZE=635 export DEFSRCSIZE=635
# We don't want certain packages to take up space on CD1... # We don't want certain packages to take up space on CD1...
#export EXCLUDE="$BASEDIR"/tasks/exclude-potato export EXCLUDE="$BASEDIR"/tasks/exclude-sarge
# ...but they are okay for other CDs (UNEXCLUDEx == may be included on CD >= x) # ...but they are okay for other CDs (UNEXCLUDEx == may be included on CD >= x)
#export UNEXCLUDE2="$BASEDIR"/tasks/unexclude-CD2-potato export UNEXCLUDE2="$BASEDIR"/tasks/unexclude-CD2-sarge
# Any packages listed in EXCLUDE but not in any UNEXCLUDE will be # Any packages listed in EXCLUDE but not in any UNEXCLUDE will be
# excluded completely. # excluded completely.
@ -158,7 +175,7 @@ export DEFSRCSIZE=635
# Set this if the recommended packages should be skipped when adding # Set this if the recommended packages should be skipped when adding
# package on the CD. The default is 'false'. # package on the CD. The default is 'false'.
#export NORECOMMENDS=1 export NORECOMMENDS=1
# Set this if the suggested packages should be skipped when adding # Set this if the suggested packages should be skipped when adding
# package on the CD. The default is 'true'. # package on the CD. The default is 'true'.
@ -179,18 +196,47 @@ export DEFSRCSIZE=635
# Note: building the cache takes hours, so keep it around for the next run # Note: building the cache takes hours, so keep it around for the next run
#export JIGDOCMD="/usr/local/bin/jigdo-file --cache=$HOME/jigdo-cache.db" #export JIGDOCMD="/usr/local/bin/jigdo-file --cache=$HOME/jigdo-cache.db"
# #
# HTTP/FTP URL for directory where you intend to make the templates available. # HTTP/FTP URL for directory where you intend to make the templates
# %ARCH%, if present, will be replaced by $ARCH (or "source"). This only goes # available. You should not need to change this; the default value ""
# in the .jigdo files, which you can edit easily if you want. # means "template in same dir as the .jigdo file", which is usually
# No trailing slash. # correct. If it is non-empty, it needs a trailing slash. "%ARCH%"
#export JIGDOTEMPLATEURL="http://this-guy-didnt-configure-debiancd-correctly.com/debian-cd/templates/3.0BETA/%ARCH%" # will be substituted by the current architecture.
#export JIGDOTEMPLATEURL=""
#
# Name of a directory on disc to create data for a fallback server in.
# Should later be made available by you at the URL given in
# JIGDOFALLBACKURLS. In the directory, two subdirs named "Debian" and
# "Non-US" will be created, and filled with hard links to the actual
# files in your FTP archive. Because of the hard links, the dir must
# be on the same partition as the FTP archive! If unset, no fallback
# data is created, which may cause problems - see README.
#export JIGDOFALLBACKPATH="$(OUT)/snapshot/"
#
# Space-separated list of label->URL mappings for "jigdo fallback
# server(s)" to add to .jigdo file. If unset, no fallback URL is
# added, which may cause problems - see README.
#export JIGDOFALLBACKURLS="Debian=http://myserver/snapshot/Debian/ Non-US=http://myserver/snapshot/Non-US/"
#
# Space-separated list of "include URLs" to add to the .jigdo file.
# The included files are used to provide an up-to-date list of Debian
# mirrors to the jigdo _GUI_application_ (_jigdo-lite_ doesn't support
# "[Include ...]").
export JIGDOINCLUDEURLS="http://cdimage.debian.org/debian-cd/debian-servers.jigdo"
#
# $JIGDOTEMPLATEURL and $JIGDOINCLUDEURLS are passed to
# "tools/jigdo_header", which is used by default to generate the
# [Image] and [Servers] sections of the .jigdo file. You can provide
# your own script if you need the .jigdo file to contain different
# data.
#export JIGDOSCRIPT="myscript"
# If set, use the md5sums from the main archive, rather than calculating # If set, use the md5sums from the main archive, rather than calculating
# them locally # them locally
#export FASTSUMS=1 #export FASTSUMS=1
# a couple of things used by publish_cds, so it can tweak the jigdo files, # A couple of things used only by publish_cds, so it can tweak the
# and knows where to put the results # jigdo files, and knows where to put the results.
# You need to run publish_cds manually, it is not run by the Makefile.
export PUBLISH_URL="http://cdimage.debian.org/jigdo-area" export PUBLISH_URL="http://cdimage.debian.org/jigdo-area"
export PUBLISH_NONUS_URL="http://non-US.cdimage.debian.org/jigdo-area" export PUBLISH_NONUS_URL="http://non-US.cdimage.debian.org/jigdo-area"
export PUBLISH_PATH="/home/jigdo-area/" export PUBLISH_PATH="/home/jigdo-area/"
@ -210,8 +256,8 @@ export PUBLISH_PATH="/home/jigdo-area/"
# File with list of packages to include when running debootstrap from # File with list of packages to include when running debootstrap from
# the first stage installer (currently only supported in # the first stage installer (currently only supported in
# debian-installer). One package per line. Lines starting with '#' # debian-installer). One package per line. Lines starting with '#'
# are comments. The package order is important, when will be # are comments. The package order is important, as the packages will
# installed in the given order. # be installed in the given order.
#export BASE_INCLUDE="$BASEDIR"/data/$CODENAME/base_include #export BASE_INCLUDE="$BASEDIR"/data/$CODENAME/base_include
# File with list of packages to exclude as above. # File with list of packages to exclude as above.
@ -232,3 +278,8 @@ export PUBLISH_PATH="/home/jigdo-area/"
# If set, overrides the boot picture used. # If set, overrides the boot picture used.
#export SPLASHPNG="$BASEDIR/data/$CODENAME/splash-img.png" #export SPLASHPNG="$BASEDIR/data/$CODENAME/splash-img.png"
# Used by build.sh to determine what to build, this is the name of a target
# in the Makefile. Use bin-official_images to build only binary CDs. The
# default, official_images, builds everything.
#IMAGETARGET=official_images

130
debian/changelog vendored
View File

@ -1,7 +1,54 @@
debian-cd (2.2.18) UNRELEASED; urgency=low debian-cd (2.2.20) UNRELEASED; urgency=low
* Remove debian-keyring.tar.gz from the doc dir. * Joey Hess
* Don't include Contents-$ARCH.gz on netinst/businesscard CD. - Remove bogus init=/linuxrc, we have not had a linuxrc in d-i for a long
time and I don't know how that managed to work.
- Update path to ia64 cdrom/boot.img.
- Tweaked exclude-udebs-i386, removing fat-modules as it's not available
otherwise if booting from floppy, and removing excludes of partconf,
partitioner, and discover2-data-udeb, which are not in unstable for i386
any longer.
- Updated exclude-udebs to match the current CD initrd package list.
* Stephen R. Marenka
- Add support for m68k reorganization.
- Bump m68k 2.4 kernels to 2.4.27.
* Petter Reinholdtsen
- New variable SPLASHPNG pointing to replacement splash image on i386.
-- Joey Hess <joeyh@debian.org> Mon, 30 Aug 2004 15:23:19 -0400
debian-cd (2.2.19) unstable; urgency=medium
* Steve McIntyre
- (Hopefully this time) Final medium-urgency upload to get a
recent debian-cd in before the sarge release. A few bugfixes needed:
- Removed silly build-dep-indep on mkisofs. Closes: #258018
- Fixed typo in tools/boot/sarge/boot-i386. Closes: #267026
* Santiago Garcia
- Change build.sh to allow building non complete CDs, like netinsts.
-- Steve McIntyre <93sam@debian.org> Fri, 20 Aug 2004 14:59:11 +0100
debian-cd (2.2.18) unstable; urgency=medium
* Steve McIntyre
- Final medium-urgency upload to get a recent debian-cd in before
the sarge release.
- Update default version to sarge/3.1 for a sarge release.
- Sarge is going to have more than 9 CDs; make sure we clean up all of
the working dirs.
- Removed the -T option to mkisofs. We don't need the TRANS.TBL files
any more, and we should save the space.
- Added support for SIZE_MULT_x when calculating full disc
sizes. Best use is on m68k and powerpc images where HFS hybrid
metadata seems to add ~10% to the size of the image.
- Various updates to update-cd to cope with changes r0->r2.
- Updated copy of CONF.sh in debian directory to match the working copy in .
- Small lintian fixes.
* Raphael Hertzog
- Add missing Build-Depends-Indep. Closes: #258018
- Remove debian-keyring.tar.gz from the doc dir.
- Don't include Contents-$ARCH.gz on netinst/businesscard CD.
* Joey Hess * Joey Hess
- Include sarge installation manual on sarge CDs. - Include sarge installation manual on sarge CDs.
- Remove install/doc, and just use doc/install. - Remove install/doc, and just use doc/install.
@ -35,33 +82,38 @@ debian-cd (2.2.18) UNRELEASED; urgency=low
- Only exclude udebs from the CD that are in both the cd initrd and the - Only exclude udebs from the CD that are in both the cd initrd and the
hd-media initrd, since both use the CD. This adds back floppy-modules hd-media initrd, since both use the CD. This adds back floppy-modules
and firewire-core-modules. and firewire-core-modules.
- Add new default udeb_include files (for to full CDs and DVDs) that
include ethdetect and netcfg, to make network configuration happen in
first stage, since the second stage cannot currently do any.
Closes: #240458
- Include debian-installer+kernel into Debian_sarge task to ensure all
debs as well as udebs used by d-i are included.
- Exclude newer versions of i386 kernels to save space. Leave 2.6.x-386
kernels on the CD.
- Update task-essential-sarge to tasksel 2.05. Fix the generator to work
with post-2002 tasksels.
- Update task-full-sarge and task.list to tasksel 2.05. The task.list was
manually ordered to give desktop task priority, followed by servers,
followed by languages.
- NORECOMMENDS should be used for sarge official CD sets (getting full
tasks is more important), and is on by default.
- Add libfribidi0 to generate_di+k_list, needed for BIDI.
- Switch CONF.sh to sarge.
- Uncomment exclude lines.
- Remove the boot.bat script and redundant and incorrect README.tools.
The alternative is to maintain and document them.
- Exclude kernel sources from popcon results, old data skews this badly.
- Remove old kernel sources from interesting-fromcd23, and various other
removals and updates.
- Update the task lists and popcon again.
- Stop excluding 686 and 686-smp kernels, as these are probably the most
popular, and they fit on CD#1 now.
- Add "--" end of installer kernel params markers to the isolinux.cfg.
* Petter Reinholdtsen * Petter Reinholdtsen
- Regenereated tasks/popularity-contest-sarge based on the current data. - Regenereated tasks/popularity-contest-sarge based on the current data.
- Avoid kernel versions 2.4.24 and 2.6.3 on the first i386 CD, as we - Avoid kernel versions 2.4.24 and 2.6.3 on the first i386 CD, as we
are currently using 2.4.25. are currently using 2.4.25.
- Remove packages not in testing from exclude-sarge: - Remove packages not in testing from exclude-sarge.
kernel-image-2.2.20, kernel-image-2.2.20-compact,
kernel-image-2.2.20-idepci, kernel-image-2.2.20-reiserfs,
kernel-image-2.4.18-bf2.4, kernel-image-2.4.20-3-386,
kernel-image-2.4.20-3-586tsc, kernel-image-2.4.20-3-686,
kernel-image-2.4.20-3-686-smp, kernel-image-2.4.20-3-k6,
kernel-image-2.4.20-3-k7, kernel-image-2.4.20-3-k7-smp,
kernel-image-2.4.22-1-386, kernel-image-2.4.22-1-586tsc,
kernel-image-2.4.22-1-686, kernel-image-2.4.22-1-686-smp,
kernel-image-2.4.22-1-k6, kernel-image-2.4.22-1-k7,
kernel-image-2.4.22-1-k7-smp, kernel-image-2.4.22-speakup,
kernel-image-2.4.22-xfs-386, kernel-image-2.4.22-xfs-686-smp,
kernel-image-2.4.23-1-386, kernel-image-2.4.23-1-586tsc,
kernel-image-2.4.23-1-686, kernel-image-2.4.23-1-686-smp,
kernel-image-2.4.23-1-k6, kernel-image-2.4.23-1-k7,
kernel-image-2.4.23-1-k7-smp, kernel-image-2.6.0-1-386,
kernel-image-2.6.0-1-686, kernel-image-2.6.0-1-686-smp,
kernel-image-2.6.0-1-k7, kernel-image-2.6.0-1-k7-smp,
kernel-image-2.6.0-test11-1-386,
kernel-image-2.6.0-test9-1-386,
kernel-pcmcia-modules-2.4.22-xfs-386,
kernel-pcmcia-modules-2.4.22-xfs-686-smp,
kernel-source-2.2.20, timidity-patches, tcl8.2 and tk8.2.
- Update list2cds to allow #-comments in the exclude file. - Update list2cds to allow #-comments in the exclude file.
- Try to create $(OUT) instead of just bailing out if it is missing. - Try to create $(OUT) instead of just bailing out if it is missing.
- Missing b-f documentation is not a fatal error. Keep - Missing b-f documentation is not a fatal error. Keep
@ -72,14 +124,14 @@ debian-cd (2.2.18) UNRELEASED; urgency=low
possible to use debian-installer with Woody CDs. possible to use debian-installer with Woody CDs.
- Avoid illegal dash (-) in cpp architecture defines. Patch - Avoid illegal dash (-) in cpp architecture defines. Patch
from Colin Watson. from Colin Watson.
- New variable SPLASHPNG pointing to replacement splash image on i386.
* Stephen R. Marenka * Stephen R. Marenka
- Update m68k support for sarge. - Update m68k support for sarge.
- Fix m68k/amiga icons. - Fix m68k/amiga icons.
- Add 2.2 kernel-based cdrom initrd. - Add 2.2 kernel-based cdrom initrd.
- Redo mz68k subarch boot/install for sarge. - Redo m68k subarch boot/install for sarge.
- Bump all subarchs to 2.4 kernel, except mac. - Bump all subarchs to 2.4 kernel, except mac.
- Add bvme6000 boot code. - Add bvme6000 boot code.
- Workaround boot/install for non-DI_WWW_HOME case.
* Santiago Garcia * Santiago Garcia
- Update isolinux.bin to the version we are shipping with Sarge. - Update isolinux.bin to the version we are shipping with Sarge.
- Update debian-installer tasks. - Update debian-installer tasks.
@ -98,6 +150,10 @@ debian-cd (2.2.18) UNRELEASED; urgency=low
- Add 2.6 support to powerpc cds. - Add 2.6 support to powerpc cds.
- Add yaboot to powerpc netinst cds as debootstrap no longer adds it. - Add yaboot to powerpc netinst cds as debootstrap no longer adds it.
- Update boot-sparc not to depend on a kernel version. - Update boot-sparc not to depend on a kernel version.
- Remove ramdisk_size param of silo.conf.
- Add initrd-tools to sparc di+k list.
- Generate PPC CD 1 with -chrp-boot. Closes: #252667
- Increase max catalog size on PPC DVDs. Closes: #252652
* Bdale Garbee * Bdale Garbee
- shorten the command line in post-boot-hppa for sarge, as palo can't - shorten the command line in post-boot-hppa for sarge, as palo can't
handle a command line longer than 127 chars right now handle a command line longer than 127 chars right now
@ -112,6 +168,22 @@ debian-cd (2.2.18) UNRELEASED; urgency=low
- Add exclude-udebs-powerpc list with packages already in the initrd, - Add exclude-udebs-powerpc list with packages already in the initrd,
along the same lines as exclude-udebs-i386. Saves about 11 megabytes. along the same lines as exclude-udebs-i386. Saves about 11 megabytes.
- Add bootable CD support for arm, following Vince Sanders' advice. - Add bootable CD support for arm, following Vince Sanders' advice.
- Include kernel-image-2.4-* metapackages for ia64.
- Unexclude zlib1g-udeb, needed for ssh support in d-i.
- Make sure quik is on the powerpc netinst CD; debootstrap no longer
installs it.
- Bump initrd-size to 10MB for powerpc 2.4. Current d-i initrds exceed
that.
- Remove -safe options from powerpc yaboot menu, as they caused
combinatorial explosion. Instead, document video=ofonly in boot.msg.
- Clarify powerpc boot.msg a bit.
- Cope with debian-installer powerpc image rearrangement.
* Sven Luther
- fixed powerpc list so it includes the 2.6 kernels too as well as the
power3 and power4 2.4 kernels.
* Steve Langasek
- Add alpha and mipsel bootloaders to debian-installer+kernel,
so debootstrap doesn't have to install them
-- Raphael Hertzog <hertzog@debian.org> Thu, 25 Mar 2004 07:33:23 +0100 -- Raphael Hertzog <hertzog@debian.org> Thu, 25 Mar 2004 07:33:23 +0100
@ -367,7 +439,7 @@ debian-cd (2.2.10) unstable; urgency=low
* first test of multi-boot cdimage for i386 disk #1 * first test of multi-boot cdimage for i386 disk #1
You must export MULTIBOOT="yes" in CONF.sh to enable this feature. -jwest You must export MULTIBOOT="yes" in CONF.sh to enable this feature. -jwest
* Removed "ide" boot floppy's flavor. Closes: #120415 * Removed "ide" boot floppy's flavor. Closes: #120415
* Added support for s390 (Jochen Röhrig <jr@debian.org>). * Added support for s390 (Jochen Röhrig <jr@debian.org>).
* Documentation about the fact the environment variables may * Documentation about the fact the environment variables may
pollute your environment after a debian-cd run. Closes: #123289 pollute your environment after a debian-cd run. Closes: #123289

5
debian/control vendored
View File

@ -2,8 +2,9 @@ Source: debian-cd
Section: admin Section: admin
Priority: extra Priority: extra
Maintainer: Raphael Hertzog <hertzog@debian.org> Maintainer: Raphael Hertzog <hertzog@debian.org>
Build-Depends-Indep: debhelper (>= 4) Uploaders: Steve McIntyre <93sam@debian.org>
Standards-Version: 3.6.0 Build-Depends-Indep: debhelper (>= 4), sysutils
Standards-Version: 3.6.1.0
Package: debian-cd Package: debian-cd
Architecture: all Architecture: all

View File

@ -11,14 +11,6 @@ not supported.
----- -----
Popularity contest results:
wget http://popcon.debian.org/main/by_inst
wget http://popcon.debian.org/contrib/by_inst
grep -h '^[^#]' by_inst* | egrep -v '(Total|-----)' | sort -rn -k3,3 -k7,7 -k4,4 | awk '{print $2}'
-----
THE "USEFUL CD 1 PROJECT" RATIONALE J.A. Bezemer, Jan-Apr 2001 THE "USEFUL CD 1 PROJECT" RATIONALE J.A. Bezemer, Jan-Apr 2001
costar@panic.et.tudelft.nl costar@panic.et.tudelft.nl

View File

@ -1,8 +0,0 @@
education-common
education-networked
education-main-server
education-workstation
education-thin-client-server
education-laptop
education-standalone
education-standalone-extras

1595
tasks/debian-installer Normal file

File diff suppressed because it is too large Load Diff

View File

@ -0,0 +1,129 @@
/* These files + the ones needed by debootstrap are the ones needed for
* debian-installer to be able to complete the installation of the base.
* at least at this pre-sarge days.
*
* This list can be generated with the command:
* ../tools/generate_di+k_list
*
* Last update: Wed Aug 4 15:44:40 MDT 2004
*/
#include <debian-installer>
eject
locales
lvm10
libdevmapper1.00
lvm-common
lvm2
mdadm
aptitude
jfbterm
unifont
hotplug
usbutils
iso-codes
console-cyrillic
console-terminus
pcmcia-cs
wireless-tools
xfsprogs
jfsutils
reiserfsprogs
libfribidi0
#ifdef ARCH_i386
discover
discover1
grub
lilo
kernel-image-2.4.26-1-386
kernel-pcmcia-modules-2.4.26-1-386
#endif
#ifdef ARCH_alpha
aboot
aboot-base
discover1
kernel-image-2.4-generic
kernel-image-2.4-smp
kernel-image-2.4.26-1-generic
kernel-image-2.4.26-1-smp
kernel-image-2.6-generic
kernel-image-2.6-smp
kernel-image-2.6.6-1-generic
kernel-image-2.6.6-1-smp
kernel-image-netbootable
#endif
#ifdef ARCH_hppa
discover1
kernel-image-2.4.26-32-smp
kernel-image-2.4.26-64
kernel-image-2.4.26-64-smp
kernel-image-netbootable
#endif
#ifdef ARCH_ia64
discover1
initrd-tools
kernel-image-2.4.26-1-itanium
kernel-image-2.4.26-1-itanium-smp
kernel-image-2.4.26-1-mckinley
kernel-image-2.4.26-1-mckinley-smp
kernel-image-2.4-itanium
kernel-image-2.4-itanium-smp
kernel-image-2.4-mckinley
kernel-image-2.4-mckinley-smp
#endif
#ifdef ARCH_mips
arcboot
kernel-image-2.4.26-r4k-ip22
kernel-image-2.4.26-r5k-ip22
#endif
#ifdef ARCH_mipsel
delo
kernel-image-2.4.26-r3k-kn02
kernel-image-2.4.26-r4k-kn04
#endif
#ifdef ARCH_powerpc
discover1
quik
yaboot
mkvmlinuz
module-init-tools
initrd-tools
kernel-image-2.6.7-powerpc
kernel-image-2.6.7-power3
kernel-image-2.6.7-power4
kernel-image-2.4.25-power3-pmac
kernel-image-2.4.25-power3-chrp-rs6k
kernel-image-2.4.25-power4-pmac
kernel-image-2.4.25-power4-chrp-rs6k
kernel-image-2.4.25-powerpc-pmac
kernel-image-2.4.25-powerpc-small-pmac
kernel-image-2.4.25-powerpc-prep
kernel-image-2.4.25-powerpc-chrp
kernel-image-2.4.25-powerpc-chrp-rs6k
kernel-image-2.4.25-apus
#endif
#ifdef ARCH_sparc
discover1
initrd-tools
kernel-image-2.4-sparc32
kernel-image-2.4-sparc32-smp
kernel-image-2.4-sparc64
kernel-image-2.4-sparc64-smp
kernel-image-2.4.26-sparc32
kernel-image-2.4.26-sparc32-smp
kernel-image-2.4.26-sparc64
kernel-image-2.4.26-sparc64-smp
#endif
#ifdef ARCH_m68k
kernel-image-2.2.25-atari
kernel-image-2.2.25-bvme6000
kernel-image-2.2.25-mac
kernel-image-2.2.25-mvme147
kernel-image-2.2.25-mvme16x
kernel-image-2.4.27-amiga
kernel-image-2.4.27-atari
kernel-image-2.4.27-bvme6000
kernel-image-2.4.27-mvme147
kernel-image-2.4.27-mvme16x
kernel-image-2.4.27-q40
#endif

View File

@ -41,11 +41,17 @@ kernel-image-2.4.25-1-k6
kernel-image-2.4.25-1-k7 kernel-image-2.4.25-1-k7
kernel-image-2.4.25-1-k7-smp kernel-image-2.4.25-1-k7-smp
kernel-image-2.4.26-1-586tsc kernel-image-2.4.26-1-586tsc
kernel-image-2.4.26-1-686
kernel-image-2.4.26-1-686-smp
kernel-image-2.4.26-1-k6 kernel-image-2.4.26-1-k6
kernel-image-2.4.26-1-k7 kernel-image-2.4.26-1-k7
kernel-image-2.4.26-1-k7-smp kernel-image-2.4.26-1-k7-smp
kernel-image-2.4.27-1-586tsc
kernel-image-2.4.27-1-k6
kernel-image-2.4.27-1-k7
kernel-image-2.4.27-1-k7-smp
kernel-image-2.4.28-1-586tsc
kernel-image-2.4.28-1-k6
kernel-image-2.4.28-1-k7
kernel-image-2.4.28-1-k7-smp
kernel-image-2.6-386 kernel-image-2.6-386
kernel-image-2.6-686 kernel-image-2.6-686
kernel-image-2.6-686-smp kernel-image-2.6-686-smp
@ -66,11 +72,12 @@ kernel-image-2.6.6-1-686
kernel-image-2.6.6-1-686-smp kernel-image-2.6.6-1-686-smp
kernel-image-2.6.6-1-k7 kernel-image-2.6.6-1-k7
kernel-image-2.6.6-1-k7-smp kernel-image-2.6.6-1-k7-smp
kernel-image-2.6.7-1-386
kernel-image-2.6.7-1-686
kernel-image-2.6.7-1-686-smp
kernel-image-2.6.7-1-k7 kernel-image-2.6.7-1-k7
kernel-image-2.6.7-1-k7-smp kernel-image-2.6.7-1-k7-smp
kernel-image-2.6.8-1-k7
kernel-image-2.6.8-1-k7-smp
kernel-image-2.6.9-1-k7
kernel-image-2.6.9-1-k7-smp
kernel-pcmcia-modules-2.4-386 kernel-pcmcia-modules-2.4-386
kernel-pcmcia-modules-2.4-586tsc kernel-pcmcia-modules-2.4-586tsc
kernel-pcmcia-modules-2.4-686 kernel-pcmcia-modules-2.4-686
@ -93,11 +100,17 @@ kernel-pcmcia-modules-2.4.25-1-k6
kernel-pcmcia-modules-2.4.25-1-k7 kernel-pcmcia-modules-2.4.25-1-k7
kernel-pcmcia-modules-2.4.25-1-k7-smp kernel-pcmcia-modules-2.4.25-1-k7-smp
kernel-pcmcia-modules-2.4.26-1-586tsc kernel-pcmcia-modules-2.4.26-1-586tsc
kernel-pcmcia-modules-2.4.26-1-686
kernel-pcmcia-modules-2.4.26-1-686-smp
kernel-pcmcia-modules-2.4.26-1-k6 kernel-pcmcia-modules-2.4.26-1-k6
kernel-pcmcia-modules-2.4.26-1-k7 kernel-pcmcia-modules-2.4.26-1-k7
kernel-pcmcia-modules-2.4.26-1-k7-smp kernel-pcmcia-modules-2.4.26-1-k7-smp
kernel-pcmcia-modules-2.4.27-1-586tsc
kernel-pcmcia-modules-2.4.27-1-k6
kernel-pcmcia-modules-2.4.27-1-k7
kernel-pcmcia-modules-2.4.27-1-k7-smp
kernel-pcmcia-modules-2.4.28-1-586tsc
kernel-pcmcia-modules-2.4.28-1-k6
kernel-pcmcia-modules-2.4.28-1-k7
kernel-pcmcia-modules-2.4.28-1-k7-smp
python2.1 python2.1
smail smail
tcl8.0 tcl8.0

View File

@ -1,18 +1,19 @@
/* Generally useful/interesting (and mostly small) packages that /* Generally useful/interesting (and mostly small) packages that
would've ended up on CD 2 or 3 if we hadn't prevented it. */ many people expect on one of the first CDs even if there's no room for
everything from popcon. */
dpkg-repack dpkg-repack
grep-dctrl grep-dctrl
hddtemp martmontools
irda-tools irda-tools
hwtools hwtools
acpid acpid
apmd
noflushd noflushd
gpm gpm
anacron anacron
mc mc
iproute iptables
host host
bzip2 bzip2
unzip unzip
@ -32,69 +33,30 @@ kdm
pdmenu pdmenu
slay slay
vlock vlock
xosview
cvs cvs
wget wget
masqmail masqmail
fetchmailconf fetchmailconf
ntp-simple ntp-simple
elinks
w3m w3m
konqueror
mtr mtr
netcat netcat
rsync rsync
licq
centericq
pstotext pstotext
wv wv
a2ps a2ps
xkeycaps
gimp1.2
cupsys
sane sane
xsane xsane
xscreensaver xscreensaver
xli
xmix
bplay bplay
splay
xmp
mikmod
playmidi
smpeg-gtv
mp3blaster
id3 id3
xmms xmms
cd-discid cd-discid
cdrdao cdrecord
xcolorsel
xtoolwait
mkisofs mkisofs
gphoto2
octave
csh csh
ee
kernel-source-2.4.21
kernel-source-2.2.25
pcmcia-source
mysql-client mysql-client
xfonts-base-transcoded xfonts-base-transcoded
g77
ddd
ccmalloc
diffstat
electric-fence
memprof
libgc6-dev
libltdl3
libltdl3-dev
stl-manual
bible-kjv
bible-kjv-text
verse
dictd dictd
dict-vera dict-vera
dict-jargon dict-jargon
mozilla
koffice

17538
tasks/popularity-contest-sarge Normal file

File diff suppressed because it is too large Load Diff

View File

@ -2,7 +2,7 @@
* *
* Generated with: * Generated with:
grep-dctrl -s Essential -n -e '.*' /usr/share/tasksel/debian-tasks.desc | sed -e 's? *??' | grep -v ^$ | sort | uniq grep-dctrl -s Key -n -e '.*' /usr/share/tasksel/debian-tasks.desc | sed -e 's? *??' | grep -v ^$ | sort | uniq
* If the list is too big for the first CD, then we'll have to sort it * If the list is too big for the first CD, then we'll have to sort it
* better, but hopefully this will never be needed since the goal of that * better, but hopefully this will never be needed since the goal of that
@ -11,132 +11,37 @@ grep-dctrl -s Essential -n -e '.*' /usr/share/tasksel/debian-tasks.desc | sed -e
* Last updated: $Date$ * Last updated: $Date$
*/ */
ami apache2-mpm-prefork
apache
apmd
ark
bind9 bind9
binutils
canna
chinput chinput
console-cyrillic console-cyrillic
cpanel cpanel
cpp cupsys
eog cupsys-bsd
esound cupsys-client
evolution exim4
exim gnome-desktop-environment
g++
g77
galeon
gcc
gconf
gdb
gedit
gftp
gimp
gmc
gnome
gnome-admin
gnome-applets
gnome-audio
gnome-bin
gnome-control-center
gnome-core
gnome-help
gnome-media
gnome-panel
gnome-session
gnome-terminal
gnome-utils
hanterm
imlib-base
inn2
isdnutils
jfbterm jfbterm
kab
karm
kate
kcalc
kcharselect
kcoloredit
kcron
kde kde
kdebase
kdebase-audiolibs
kdebase-doc
kdebase-libs
kdelibs3
kdepasswd
kdewallpapers
kdf
kdict
kdm
kedit
kfind
kfract
kghostview
khexedit
kiconedit
kit
kjots
kmail
knewsticker
knode
knotes
koffice
konqueror
konsole
korn
kpackage
kpaint
kpm
kruler
kscreensaver
ksirc
ksnapshot
ksysv
kterm
ktimer
kuser
kview
language-env language-env
libarts
libkmid
libkonq3
locales locales
lpr
make
manpages-de manpages-de
manpages-es manpages-es
manpages-fr manpages-fr
manpages-it
manpages-ja manpages-ja
manpages-ko manpages-ko
manpages-pl manpages-pl
manpages-pt
manpages-ru manpages-ru
manpages-tr
manpages-zh manpages-zh
nautilus
nfs-kernel-server nfs-kernel-server
pan
pcmcia-cs
postgresql postgresql
ppp
pppoe
python
rxvt-ml rxvt-ml
samba samba
sawfish-gnome
secpolicy
strace
tcl8.3-dev
tetex-base
tetex-bin
tetex-extra
tk8.3-dev
user-es
xchat-gnome
xcin
xfonts-intl-japanese
x-window-system
x-window-system-core x-window-system-core
xcin
xfonts-thai
xiterm+thai
zhcon zhcon

View File

@ -17,220 +17,275 @@ rm dumpavail
* *
*/ */
x-window-system doc-linux-ja-html
ppp fortune-mod
pppconfig
isdnutils
fetchmail
pppoe
anacron
diald
leafnode
lftp
wvdial
wwwoffle
apmd
pcmcia-cs
anacron
irda-common
irda-tools
netenv
noflushd
toshutils
gnome-help
gnome-panel
gnome-session
gnome-utils
sawfish-gnome
esound
gnome-control-center
menu
mozilla-psm
imlib-base
x-window-system
x-window-system-core
ark
kab
karm
kcalc
kcharselect
kdepasswd
kdf
kedit
kfind
khexedit
kjots
knotes
kpm
ktimer
kdelibs3
kdebase-libs
libkonq3
kdebase
kdewallpapers
konsole
kcoloredit
kfract
kghostview
kiconedit
kpaint
kruler
ksnapshot
kview
kcron
kpackage
ksysv
kuser
secpolicy
kdict
kit
kmail
knewsticker
knode
korn
ksirc
koffice
gdm gdm
gimp1.2 gimp-help-sv
gnome-applets gnome
kate xscreensaver
gnome-desktop-environment
hspell-gui
imhangul
imhangul-status-applet
kde kde
kdebase-audiolibs kde-i18n-ca
kdebase-doc kde-i18n-da
kdepim-libs kde-i18n-de
kdm kde-i18n-el
konqueror kde-i18n-es
korganizer kde-i18n-fr
kscreensaver kde-i18n-he
libarts kde-i18n-it
libkmid kde-i18n-ja
mozilla kde-i18n-lt
apache kde-i18n-nb
kde-i18n-nn
kde-i18n-pl
kde-i18n-ptbr
kde-i18n-ru
kde-i18n-sv
kde-i18n-tr
kde-i18n-uk
kde-i18n-zhcn
kde-i18n-zhtw
kinput2-canna-wnn
koffice-i18n-ca
koffice-i18n-da
koffice-i18n-el
koffice-i18n-he
koffice-i18n-it
koffice-i18n-sv
koffice-i18n-tr
kterm
menu
mlterm
mozilla-browser
mozilla-firefox-locale-uk
mozilla-locale-auto
mozilla-locale-ca
mozilla-locale-da
mozilla-locale-de-at
mozilla-locale-el
mozilla-locale-it
mozilla-locale-ja
mozilla-locale-ptbr
mozilla-psm
mozilla-thunderbird-locale-uk
myspell-en-gb
myspell-en-us
nabi
openoffice.org
openoffice.org-bin
openoffice.org-help-de
openoffice.org-help-el
openoffice.org-help-en
openoffice.org-help-es
openoffice.org-help-fr
openoffice.org-help-it
openoffice.org-help-ja
openoffice.org-help-ko
openoffice.org-help-sv
openoffice.org-help-zh-cn
openoffice.org-help-zh-tw
openoffice.org-l10n-ca
openoffice.org-l10n-da
openoffice.org-l10n-de
openoffice.org-l10n-el
openoffice.org-l10n-es
openoffice.org-l10n-fr
openoffice.org-l10n-he
openoffice.org-l10n-it
openoffice.org-l10n-ja
openoffice.org-l10n-ko
openoffice.org-l10n-nb
openoffice.org-l10n-nn
openoffice.org-l10n-pl
openoffice.org-l10n-pt-br
openoffice.org-l10n-ru
openoffice.org-l10n-sv
openoffice.org-l10n-th
openoffice.org-l10n-tr
openoffice.org-l10n-zh-cn
openoffice.org-l10n-zh-tw
ttf-baekmuk
ttf-freefont
ttf-kochi-gothic
ttf-kochi-mincho
ttf-thryomanes
ttf-unfonts
x-window-system-core
xfonts-a12k12
xfonts-ayu
xfonts-baekmuk
xfonts-biznet-iso-8859-2-100dpi
xfonts-biznet-iso-8859-2-75dpi
xfonts-biznet-iso-8859-2-base
xfonts-bolkhov-cp1251-75dpi
xfonts-bolkhov-cp1251-misc
xfonts-bolkhov-koi8r-75dpi
xfonts-bolkhov-koi8r-misc
xfonts-bolkhov-koi8u-75dpi
xfonts-bolkhov-koi8u-misc
xfonts-cronyx-cp1251-100dpi
xfonts-cronyx-isocyr-100dpi
xfonts-cronyx-isocyr-75dpi
xfonts-cronyx-isocyr-misc
xfonts-cronyx-koi8r-100dpi
xfonts-cronyx-koi8u-100dpi
xfonts-cyrillic
xfonts-intl-european
xfonts-intl-japanese
xfonts-intl-japanese-big
xfonts-kaname
xfonts-kappa20
xfonts-marumoji
xfonts-mona
xfonts-mplus
xfonts-shinonome
xfonts-terminus
xmanpages-ja
xprt-xprintorg
xxkb
analog analog
procmail apache2-doc
exim apache2-mpm-prefork
mailx libapache2-mod-perl2
libapache2-mod-php4
libapache2-mod-python
exim4
exim4-config
exim4-daemon-light
mailagent mailagent
mailx
mutt
procmail
qpopper qpopper
spamassassin
uw-imapd uw-imapd
cupsys
cupsys-bsd
cupsys-client
cupsys-driver-gimpprint
foomatic-db-engine
foomatic-db-hpijs
foomatic-filters-ppds
foomatic-gui
samba
samba-doc
smbclient
smbfs
swat
libecpg4
pgaccess
postgresql postgresql
postgresql-client postgresql-client
libecpg3
pgaccess
postgresql-contrib postgresql-contrib
postgresql-doc postgresql-doc
samba bind9
nfs-kernel-server bind9-doc
dlint
dnsutils
lwresd
netatalk netatalk
samba-doc nfs-kernel-server
smbclient
smbfs
swat
gs
samba samba
lpr
magicfilter
samba-doc samba-doc
smbclient smbclient
smbfs smbfs
swat swat
emacs20 aspell-pt-br
manpages ibrazilian
telnet kde-i18n-ptbr
tcsh manpages-pt
traceroute mozilla-locale-ptbr
finger myspell-pt-br
bsdgames openoffice.org-l10n-pt-br
fingerd util-linux-locales
ftpd kde-i18n-ptbr
man-db mozilla-locale-ptbr
mtr openoffice.org-l10n-pt-br
netcat aspell-ca
nethack icatalan
pdksh kde-i18n-ca
screen koffice-i18n-ca
ssh
talk
talkd
telnetd
ytalk
zsh
inn2
gnuplot
gperiodic
grace
octave2.0
pdl
plotutils
r-base
rasmol
yorick
psutils
tetex-base
tetex-extra
tetex-bin
bibindex
bibtool
dvidvi
gv
lacheck
latex2html
lyx
mpage
pstoedit
tetex-doc
untex
xfig
junior-arcade
junior-art
junior-doc
junior-games-card
junior-games-gl
junior-games-net
junior-games-sim
junior-games-text
junior-internet
junior-math
junior-programming
junior-puzzle
junior-sound
junior-system
junior-toys
junior-typing
armagetron
bsdgames
koules
lincity-x
nethack
xgalaga
xscavenger
xtris
manpages-fr
language-env language-env
doc-debian-fr mozilla-locale-ca
ifrench-gut myspell-ca
wfrench openoffice.org-l10n-ca
xfonts-intl-european util-linux-locales
xtel wcatalan
locales kde-i18n-ca
manpages-de koffice-i18n-ca
mozilla-locale-ca
openoffice.org-l10n-ca
bg5ps
cce
chdrv
chinput
cpanel
debian-zh-faq-s
fortune-zh
jfbterm
kde-i18n-zhcn
kon2
language-env language-env
ding manpages-zh
doc-linux-de openoffice.org-help-zh-cn
ingerman openoffice.org-l10n-zh-cn
trans-de-en psfontmgr
user-de pydict
wngerman rxvt-ml
locales stardic
manpages-es tfm-arphic-gbsn00lp
user-es tfm-arphic-gkai00mp
ttf-arphic-gbsn00lp
ttf-arphic-gkai00mp
unifont
x-ttcidfont-conf
xcin
xfonts-intl-chinese
xfonts-intl-chinese-big
yh
yiyantang
zh-autoconvert
zhcon
kde-i18n-zhcn
openoffice.org-help-zh-cn
openoffice.org-l10n-zh-cn
bg5ps
chdrv
chinput
cpanel
debian-zh-faq-t
fortune-zh
kde-i18n-zhtw
language-env language-env
doc-linux-es manpages-zh
ispanish openoffice.org-help-zh-tw
wspanish openoffice.org-l10n-zh-tw
psfontmgr
pydict
rxvt-ml
stardic
tfm-arphic-bkai00mp
tfm-arphic-bsmi00lp
ttf-arphic-bkai00mp
ttf-arphic-bsmi00lp
ttfprint
unifont
x-ttcidfont-conf
xcin
xfonts-intl-chinese
yh
yiyantang
zh-autoconvert
zhcon
kde-i18n-zhtw
openoffice.org-help-zh-tw
openoffice.org-l10n-zh-tw
console-cyrillic console-cyrillic
language-env
konwert konwert
language-env
xfonts-bolkhov-cp1251-75dpi xfonts-bolkhov-cp1251-75dpi
xfonts-bolkhov-cp1251-misc xfonts-bolkhov-cp1251-misc
xfonts-bolkhov-koi8r-75dpi xfonts-bolkhov-koi8r-75dpi
@ -245,190 +300,329 @@ xfonts-cronyx-koi8r-100dpi
xfonts-cronyx-koi8u-100dpi xfonts-cronyx-koi8u-100dpi
xfonts-cyrillic xfonts-cyrillic
xxkb xxkb
locales xfonts-bolkhov-cp1251-75dpi
manpages-pl xfonts-bolkhov-cp1251-misc
xfonts-bolkhov-koi8r-75dpi
xfonts-bolkhov-koi8r-misc
xfonts-bolkhov-koi8u-75dpi
xfonts-bolkhov-koi8u-misc
xfonts-cronyx-cp1251-100dpi
xfonts-cronyx-isocyr-100dpi
xfonts-cronyx-isocyr-75dpi
xfonts-cronyx-isocyr-misc
xfonts-cronyx-koi8r-100dpi
xfonts-cronyx-koi8u-100dpi
xfonts-cyrillic
xxkb
aspell-da
idanish
kde-i18n-da
koffice-i18n-da
language-env language-env
mozilla-locale-da
openoffice.org-l10n-da
util-linux-locales
wdanish
kde-i18n-da
koffice-i18n-da
mozilla-locale-da
openoffice.org-l10n-da
doc-debian-fr
doc-linux-fr-text
ifrench-gut
kde-i18n-fr
language-env
manpages-fr
myspell-fr-gut
openoffice.org-help-fr
openoffice.org-l10n-fr
wfrench
xfonts-intl-european
kde-i18n-fr
openoffice.org-help-fr
openoffice.org-l10n-fr
xfonts-intl-european
ding
doc-linux-de
ingerman
kde-i18n-de
language-env
manpages-de
mozilla-locale-de-at
myspell-de-at
myspell-de-ch
myspell-de-de
openoffice.org-help-de
openoffice.org-l10n-de
trans-de-en
wngerman
kde-i18n-de
mozilla-locale-de-at
openoffice.org-help-de
openoffice.org-l10n-de
kde-i18n-el
koffice-i18n-el
language-env
mozilla-locale-el
openoffice.org-help-el
openoffice.org-l10n-el
ttf-freefont
ttf-thryomanes
xfonts-intl-european
kde-i18n-el
koffice-i18n-el
mozilla-locale-el
openoffice.org-help-el
openoffice.org-l10n-el
ttf-freefont
ttf-thryomanes
xfonts-intl-european
bidiv
culmus
hspell
hspell-gui
kde-i18n-he
koffice-i18n-he
libfribidi0
openoffice.org-l10n-he
hspell-gui
kde-i18n-he
koffice-i18n-he
openoffice.org-l10n-he
apt-howto-it
aspell-it
debian-reference-it
doc-linux-it
doc-linux-it-text
fortunes-it
iitalian
kde-i18n-it
koffice-i18n-it
language-env
maint-guide-it
manpages-it
mozilla-locale-it
myspell-it
openoffice.org-help-it
openoffice.org-l10n-it
witalian
xfonts-intl-european
kde-i18n-it
koffice-i18n-it
mozilla-locale-it
openoffice.org-help-it
openoffice.org-l10n-it
xfonts-intl-european
canna
canna-utils
doc-debian-ja
doc-linux-ja-html
doc-linux-ja-text
egg
ja-trans
jfbterm
kde-i18n-ja
kinput2-canna-wnn
kterm
language-env
lv
manpages-ja
manpages-ja-dev
mlterm
mozilla-locale-ja
nkf
openoffice.org-help-ja
openoffice.org-l10n-ja
ttf-kochi-gothic
ttf-kochi-mincho
xfonts-a12k12
xfonts-ayu
xfonts-intl-japanese
xfonts-intl-japanese-big
xfonts-kaname
xfonts-kappa20
xfonts-marumoji
xfonts-mona
xfonts-mplus
xfonts-shinonome
xmanpages-ja
doc-linux-ja-html
kde-i18n-ja
kinput2-canna-wnn
kterm
mlterm
mozilla-locale-ja
openoffice.org-help-ja
openoffice.org-l10n-ja
ttf-kochi-gothic
ttf-kochi-mincho
xfonts-a12k12
xfonts-ayu
xfonts-intl-japanese
xfonts-intl-japanese-big
xfonts-kaname
xfonts-kappa20
xfonts-marumoji
xfonts-mona
xfonts-mplus
xfonts-shinonome
xmanpages-ja
doc-debian-ko
doc-linux-text-ko
imhangul
imhangul-status-applet
jfbterm
language-env
manpages-ko
mozilla-locale-auto
nabi
openoffice.org-help-ko
openoffice.org-l10n-ko
ttf-baekmuk
ttf-unfonts
xfonts-baekmuk
imhangul
imhangul-status-applet
mozilla-locale-auto
nabi
openoffice.org-help-ko
openoffice.org-l10n-ko
ttf-baekmuk
ttf-unfonts
xfonts-baekmuk
ilithuanian
kde-i18n-lt
language-env
myspell-lt
kde-i18n-lt
aspell-no
inorwegian
kde-i18n-nb
kde-i18n-nn
language-env
locales
myspell-nb
myspell-nn
openoffice.org-l10n-nb
openoffice.org-l10n-nn
util-linux-locales
wnorwegian
kde-i18n-nb
kde-i18n-nn
openoffice.org-l10n-nb
openoffice.org-l10n-nn
doc-linux-pl doc-linux-pl
doc-linux-pl-html doc-linux-pl-html
fonty fonty
ipolish ipolish
kde-i18n-pl
konwert konwert
language-env
manpages-pl
manpages-pl-dev manpages-pl-dev
openoffice.org-l10n-pl
wpolish wpolish
xfonts-biznet-iso-8859-2-100dpi xfonts-biznet-iso-8859-2-100dpi
xfonts-biznet-iso-8859-2-75dpi xfonts-biznet-iso-8859-2-75dpi
xfonts-biznet-iso-8859-2-base xfonts-biznet-iso-8859-2-base
locales kde-i18n-pl
canna openoffice.org-l10n-pl
manpages-ja xfonts-biznet-iso-8859-2-100dpi
xfonts-intl-japanese xfonts-biznet-iso-8859-2-75dpi
xfonts-base xfonts-biznet-iso-8859-2-base
language-env
kterm
jfbterm
asiya24-vfont
canna-utils
dbskkd-cdb
doc-debian-ja
doc-linux-ja-text
egg
freewnn-jserver
ja-trans
kinput2-canna-wnn
lv
nkf
skk
skkinput
ttf-xtt-wadalab-gothic
ttf-xtt-watanabe-mincho
watanabe-vfont
xfonts-a12k12
xfonts-intl-japanese-big
xfonts-kappa20
xfonts-marumoji
xfonts-shinonome
xmanpages-ja
yc-el
locales
chinput
manpages-zh
xfonts-intl-chinese
ttf-arphic-gbsn00lp
zhcon
x-ttcidfont-conf
xcin
language-env
rxvt-ml
jfbterm
bg5ps
cce
chdrv
cjk-latex
cpanel
debian-zh-faq-s
doc-linux-zh-s
fortune-zh
kon2
psfontmgr
pydict
stardic
tfm-arphic-gbsn00lp
tfm-arphic-gkai00mp
ttf-arphic-gkai00mp
unifont
xfonts-intl-chinese-big
yh
yiyantang
zh-autoconvert
locales
chinput
manpages-zh
xfonts-intl-chinese
ttf-arphic-bsmi00lp
zhcon
x-ttcidfont-conf
xcin
language-env
rxvt-ml
bg5ps
chdrv
cjk-latex
cpanel
debian-zh-faq-t
fortune-zh
psfontmgr
pydict
stardic
tfm-arphic-bkai00mp
tfm-arphic-bsmi00lp
ttf-arphic-bkai00mp
ttfprint
unifont
yh
yiyantang
zh-autoconvert
locales
console-cyrillic console-cyrillic
manpages-ru
language-env
irussian irussian
kde-i18n-ru
konwert konwert
language-env
manpages-ru
mueller7-dict mueller7-dict
myspell-ru
openoffice.org-l10n-ru
re re
xfonts-bolkhov-koi8r-75dpi xfonts-bolkhov-koi8r-75dpi
xfonts-bolkhov-koi8r-misc xfonts-bolkhov-koi8r-misc
xfonts-cronyx-koi8r-100dpi xfonts-cronyx-koi8r-100dpi
xfonts-intl-european xfonts-intl-european
ami kde-i18n-ru
openoffice.org-l10n-ru
xfonts-bolkhov-koi8r-75dpi
xfonts-bolkhov-koi8r-misc
xfonts-cronyx-koi8r-100dpi
xfonts-intl-european
aspell-es
debian-guide-es
debian-reference-es
debrecipes-es
doc-debian-es
doc-es-misc
doc-linux-es
ispanish
kde-i18n-es
language-env
linux-tutorial-es
manpages-es
myspell-es
openoffice.org-help-es
openoffice.org-l10n-es
util-linux-locales
wspanish
kde-i18n-es
openoffice.org-help-es
openoffice.org-l10n-es
aspell-sv
doc-linux-sv-html
gimp-help-sv
iswedish
kde-i18n-sv
koffice-i18n-sv
locales locales
manpages-ko myspell-sv-se
doc-debian-ko openoffice.org-help-sv
doc-linux-text-ko openoffice.org-l10n-sv
hlatex util-linux-locales
hlatex-fonts-base wswedish
xfonts-baekmuk gimp-help-sv
cpp kde-i18n-sv
gcc koffice-i18n-sv
g++ openoffice.org-help-sv
gdb openoffice.org-l10n-sv
patch cttex
strace language-env
stl-manual nonlock
make openoffice.org-l10n-th
manpages-dev ttmkfdir
binutils xfonts-thai
bison xiterm+thai
flex openoffice.org-l10n-th
libtool console-terminus
autoconf kde-i18n-tr
autoproject koffice-i18n-tr
c2man language-env
cflow locales
cutils manpages-tr
cvs openoffice.org-l10n-tr
cxref util-linux-locales
gettext xfonts-terminus
glibc-doc kde-i18n-tr
indent koffice-i18n-tr
liwc openoffice.org-l10n-tr
ltrace xfonts-terminus
nowebm aspell-ukr
g77 console-cyrillic
ftnchek kde-i18n-uk
fweb konwert
slatec language-env
python-tk mozilla-firefox-locale-uk
python-gtk mozilla-thunderbird-locale-uk
python-gnome xfonts-bolkhov-koi8u-75dpi
python-gdk-imlib xfonts-bolkhov-koi8u-misc
python-glade xfonts-cronyx-koi8u-100dpi
python-newt xfonts-intl-european
ddd kde-i18n-uk
gadfly mozilla-firefox-locale-uk
gimp-python mozilla-thunderbird-locale-uk
htmlgen xfonts-bolkhov-koi8u-75dpi
idle xfonts-bolkhov-koi8u-misc
python-dev xfonts-cronyx-koi8u-100dpi
python-doc xfonts-intl-european
python-examples
python-extclass
python-gdbm
python-gendoc
python-imaging-sane
python-imaging-tk
python-kjbuckets
python-ldap
python-mpz
python-netcdf
python-numeric
python-numeric-tutorial
python-pam
python-pmw
python-pygresql
python-xml
tk8.3-dev
tcl8.3-dev
blt-dev
itcl3.1-dev
itk3.1-dev
tktable-dev

View File

@ -1,30 +1,51 @@
basic-desktop
produc
dialup
laptop
desktop desktop
web-server web-server
mail-server mail-server
database-server
file-server
print-server print-server
unix-server database-server
news-server dns-server
science file-server
tex brazilian-portuguese
junior brazilian-portuguese-desktop
games catalan
french catalan-desktop
german
spanish
cyrillic
polish
japanese
chinese-s chinese-s
chinese-s-desktop
chinese-t chinese-t
russian chinese-t-desktop
cyrillic
cyrillic-desktop
danish
danish-desktop
french
french-desktop
german
german-desktop
greek
greek-desktop
hebrew
hebrew-desktop
italian
italian-desktop
japanese
japanese-desktop
korean korean
c-dev korean-desktop
fortran-dev lithuanian
python-dev lithuanian-desktop
tcltk-dev norwegian
norwegian-desktop
polish
polish-desktop
russian
russian-desktop
spanish
spanish-desktop
swedish
swedish-desktop
thai
thai-desktop
turkish
turkish-desktop
ukrainian
ukrainian-desktop

View File

@ -1,25 +1,137 @@
kernel-source-2.2.20 acorn-fdisk
kernel-image-2.2.20
kernel-image-2.2.20-compact
kernel-image-2.2.20-idepci
kernel-image-2.2.20-reiserfs
kernel-image-2.4.18-bf2.4
aspell-pt
aspell-fr
aspell-es
aspell-de
aspell-da
aspell-el
aspell-bg aspell-bg
aspell-cy
aspell-br aspell-br
timidity-patches aspell-cy
xserver-xfree86-dbg aspell-da
aspell-de
aspell-el
aspell-es
aspell-fr
aspell-pt
cfdisk-utf8
gcc272 gcc272
tk8.0 kernel-image-2.4-386
tk8.2 kernel-image-2.4-586tsc
tcl8.0 kernel-image-2.4-686
tcl8.2 kernel-image-2.4-686-smp
kernel-image-2.4-k6
kernel-image-2.4-k7
kernel-image-2.4-k7-smp
kernel-image-2.4.21-5-386
kernel-image-2.4.21-5-586tsc
kernel-image-2.4.21-5-686
kernel-image-2.4.21-5-686-smp
kernel-image-2.4.21-5-k6
kernel-image-2.4.21-5-k7
kernel-image-2.4.21-5-k7-smp
kernel-image-2.4.24-1-386
kernel-image-2.4.24-1-586tsc
kernel-image-2.4.24-1-686
kernel-image-2.4.24-1-686-smp
kernel-image-2.4.24-1-k6
kernel-image-2.4.24-1-k7
kernel-image-2.4.24-1-k7-smp
kernel-image-2.4.24-speakup
kernel-image-2.4.26-speakup
kernel-image-2.4.25-1-386
kernel-image-2.4.25-1-586tsc
kernel-image-2.4.25-1-686
kernel-image-2.4.25-1-686-smp
kernel-image-2.4.25-1-k6
kernel-image-2.4.25-1-k7
kernel-image-2.4.25-1-k7-smp
kernel-image-2.4.26-1-586tsc
kernel-image-2.4.26-1-686
kernel-image-2.4.26-1-686-smp
kernel-image-2.4.26-1-k6
kernel-image-2.4.26-1-k7
kernel-image-2.4.26-1-k7-smp
kernel-image-2.4.27-1-586tsc
kernel-image-2.4.27-1-686
kernel-image-2.4.27-1-686-smp
kernel-image-2.4.27-1-k6
kernel-image-2.4.27-1-k7
kernel-image-2.4.27-1-k7-smp
kernel-image-2.4.28-1-586tsc
kernel-image-2.4.28-1-686
kernel-image-2.4.28-1-686-smp
kernel-image-2.4.28-1-k6
kernel-image-2.4.28-1-k7
kernel-image-2.4.28-1-k7-smp
kernel-image-2.6-386
kernel-image-2.6-686
kernel-image-2.6-686-smp
kernel-image-2.6-k7
kernel-image-2.6-k7-smp
kernel-image-2.6.3-1-386
kernel-image-2.6.3-1-686
kernel-image-2.6.3-1-686-smp
kernel-image-2.6.3-1-k7
kernel-image-2.6.3-1-k7-smp
kernel-image-2.6.5-1-386
kernel-image-2.6.5-1-686
kernel-image-2.6.5-1-686-smp
kernel-image-2.6.5-1-k7
kernel-image-2.6.5-1-k7-smp
kernel-image-2.6.6-1-386
kernel-image-2.6.6-1-686
kernel-image-2.6.6-1-686-smp
kernel-image-2.6.6-1-k7
kernel-image-2.6.6-1-k7-smp
kernel-image-2.6.7-1-686
kernel-image-2.6.7-1-686-smp
kernel-image-2.6.7-1-k7
kernel-image-2.6.7-1-k7-smp
kernel-image-2.6.8-1-686
kernel-image-2.6.8-1-686-smp
kernel-image-2.6.8-1-k7
kernel-image-2.6.8-1-k7-smp
kernel-image-2.6.9-1-686
kernel-image-2.6.9-1-686-smp
kernel-image-2.6.9-1-k7
kernel-image-2.6.9-1-k7-smp
kernel-pcmcia-modules-2.4-386
kernel-pcmcia-modules-2.4-586tsc
kernel-pcmcia-modules-2.4-686
kernel-pcmcia-modules-2.4-686-smp
kernel-pcmcia-modules-2.4-k6
kernel-pcmcia-modules-2.4-k7
kernel-pcmcia-modules-2.4-k7-smp
kernel-pcmcia-modules-2.4.24-1-386
kernel-pcmcia-modules-2.4.24-1-586tsc
kernel-pcmcia-modules-2.4.24-1-686
kernel-pcmcia-modules-2.4.24-1-686-smp
kernel-pcmcia-modules-2.4.24-1-k6
kernel-pcmcia-modules-2.4.24-1-k7
kernel-pcmcia-modules-2.4.24-1-k7-smp
kernel-pcmcia-modules-2.4.25-1-386
kernel-pcmcia-modules-2.4.25-1-586tsc
kernel-pcmcia-modules-2.4.25-1-686
kernel-pcmcia-modules-2.4.25-1-686-smp
kernel-pcmcia-modules-2.4.25-1-k6
kernel-pcmcia-modules-2.4.25-1-k7
kernel-pcmcia-modules-2.4.25-1-k7-smp
kernel-pcmcia-modules-2.4.26-1-586tsc
kernel-pcmcia-modules-2.4.26-1-686
kernel-pcmcia-modules-2.4.26-1-686-smp
kernel-pcmcia-modules-2.4.26-1-k6
kernel-pcmcia-modules-2.4.26-1-k7
kernel-pcmcia-modules-2.4.26-1-k7-smp
kernel-pcmcia-modules-2.4.27-1-586tsc
kernel-pcmcia-modules-2.4.27-1-686
kernel-pcmcia-modules-2.4.27-1-686-smp
kernel-pcmcia-modules-2.4.27-1-k6
kernel-pcmcia-modules-2.4.27-1-k7
kernel-pcmcia-modules-2.4.27-1-k7-smp
kernel-pcmcia-modules-2.4.28-1-586tsc
kernel-pcmcia-modules-2.4.28-1-686
kernel-pcmcia-modules-2.4.28-1-686-smp
kernel-pcmcia-modules-2.4.28-1-k6
kernel-pcmcia-modules-2.4.28-1-k7
kernel-pcmcia-modules-2.4.28-1-k7-smp
python2.1 python2.1
zmailer
smail smail
tcl8.0
tk8.0
xserver-xfree86-dbg
zmailer

View File

@ -26,7 +26,7 @@ N=$1
CDDIR=$2 CDDIR=$2
BOOTDIR= BOOTDIR=
if [ "$DI_WWW_HOME" = "default" ];then if [ "$DI_WWW_HOME" = "default" ];then
DI_WWW_HOME="http://people.debian.org/~vorlon/d-i/images/daily/cdrom/" DI_WWW_HOME="http://people.debian.org/~jbailey/d-i/alpha/daily/cdrom/"
fi fi
if [ ! "$DI_DIST" ]; then if [ ! "$DI_DIST" ]; then
DI_DIST="$DI_CODENAME" DI_DIST="$DI_CODENAME"

View File

@ -22,14 +22,12 @@ fi
cd $CDDIR/.. cd $CDDIR/..
#
# This script is called with $1 (now $N) as the CD to # This script is called with $1 (now $N) as the CD to
# make bootable. N may be in the form "n" or "n_NONUS" # make bootable. N may be in the form "n" or "n_NONUS"
# There may be more than 4 disks...support extras. # There may be more than 4 disks...support extras.
# Strip NONUS part of disk number # Strip NONUS part of disk number
# NN will be 1...N so it can be used as an index # NN will be 1...N so it can be used as an index
#
NN=`echo $N | sed -e 's/_NONUS//'` NN=`echo $N | sed -e 's/_NONUS//'`
# List of boot image for each CD # List of boot image for each CD
@ -82,13 +80,68 @@ else
fi fi
fi fi
#install_languages $CDDIR write_isolinux_config () {
cat > boot$N/isolinux/isolinux.cfg <<EOF
DEFAULT /install/vmlinuz
APPEND vga=normal initrd=/install/initrd.gz ramdisk_size=10240 root=/dev/rd/0 devfs=mount,dall rw --
LABEL linux
kernel /install/vmlinuz
LABEL cdrom
kernel /install/vmlinuz
LABEL expert
kernel /install/vmlinuz
append DEBCONF_PRIORITY=low vga=normal initrd=/install/initrd.gz ramdisk_size=10240 root=/dev/rd/0 devfs=mount,dall rw --
DISPLAY isolinux.txt
TIMEOUT 0
PROMPT 1
F1 f1.txt
F2 f2.txt
F3 f3.txt
F4 f4.txt
F5 f5.txt
F6 f6.txt
F7 f7.txt
F8 f8.txt
F9 f9.txt
F0 f10.txt
EOF
}
write_isolinux_config_26 () {
cat > boot$N/isolinux/isolinux.cfg <<EOF
DEFAULT /install/vmlinuz
APPEND $KERNEL_PARAMS vga=normal initrd=/install/initrd.gz ramdisk_size=10240 root=/dev/rd/0 devfs=mount,dall rw --
LABEL linux
kernel /install/vmlinuz
LABEL cdrom
kernel /install/vmlinuz
LABEL linux26
kernel /install/2.6/vmlinuz
append $KERNEL_PARAMS vga=normal initrd=/install/2.6/initrd.gz ramdisk_size=10240 root=/dev/rd/0 devfs=mount,dall rw --
LABEL expert
kernel /install/vmlinuz
append $KERNEL_PARAMS DEBCONF_PRIORITY=low vga=normal initrd=/install/initrd.gz ramdisk_size=10240 root=/dev/rd/0 devfs=mount,dall rw --
LABEL expert26
kernel /install/2.6/vmlinuz
append $KERNEL_PARAMS DEBCONF_PRIORITY=low vga=normal initrd=/install/2.6/initrd.gz ramdisk_size=10240 root=/dev/rd/0 devfs=mount,dall rw --
DISPLAY isolinux.txt
TIMEOUT 0
PROMPT 1
F1 f1.txt
F2 f2.txt
F3 f3.txt
F4 f4.txt
F5 f5.txt
F6 f6.txt
F7 f7.txt
F8 f8.txt
F9 f9.txt
F0 f10.txt
EOF
}
# Only disk one gets the extra files installed # Only disk one gets the extra files installed
#
if [ "$NN" = "1" ]; then if [ "$NN" = "1" ]; then
# populate the install directory as well # populate the install directory as well
for disk in $DISK_IMAGES; do for disk in $DISK_IMAGES; do
dir=$(dirname $disk) dir=$(dirname $disk)
@ -96,8 +149,6 @@ for disk in $DISK_IMAGES; do
cp -lf $disk $CDDIR/install/$dir cp -lf $disk $CDDIR/install/$dir
done done
# ISOLINUX setup
# Include Smart Boot Manager image for people where isolinux fails # Include Smart Boot Manager image for people where isolinux fails
gzip -dc $BASEDIR/data/$DI_CODENAME/sbm.bin.gz > $CDDIR/install/sbm.bin gzip -dc $BASEDIR/data/$DI_CODENAME/sbm.bin.gz > $CDDIR/install/sbm.bin
# Keep the original file timestamp # Keep the original file timestamp
@ -120,94 +171,18 @@ if [ -e boot$N/isolinux/f3.txt.with26 ];then
fi fi
done done
cp -a cdrom/2.6 $CDDIR/install/2.6 cp -a cdrom/2.6 $CDDIR/install/2.6
write_isolinux_config_26
else
write_isolinux_config
fi
if [ "$SPLASHPNG" ] ; then if [ "$SPLASHPNG" ] ; then
# Insert our own splash screen. Color index 15 is background, and # Insert our own splash screen. Color index 15 is
# index 7 is foreground. Set to black and white respecively # background, and index 7 is foreground. Set to black and
# white respecively
pngtopnm < $SPLASHPNG | ppmquant 16 | \ pngtopnm < $SPLASHPNG | ppmquant 16 | \
ppmtolss16 "#ffffff=7" "#000000=15" > boot$N/isolinux/splash.rle ppmtolss16 "#ffffff=7" "#000000=15" > boot$N/isolinux/splash.rle
fi fi
# Isolinux config file.
cat > boot$N/isolinux/isolinux.cfg <<EOF
DEFAULT /install/vmlinuz APPEND $KERNEL_PARAMS vga=normal initrd=/install/initrd.gz ramdisk_size=10240 root=/dev/rd/0 init=/linuxrc devfs=mount,dall rw
LABEL linux
kernel /install/vmlinuz
LABEL cdrom
kernel /install/vmlinuz
LABEL linux26
kernel /install/2.6/vmlinuz
APPEND $KERNEL_PARAMS vga=normal initrd=/install/2.6/initrd.gz ramdisk_size=10240 root=/dev/rd/0 init=/linuxrc devfs=mount,dall rw
LABEL expert
kernel /install/vmlinuz
append $KERNEL_PARAMS DEBCONF_PRIORITY=low vga=normal initrd=/install/initrd.gz ramdisk_size=10240 root=/dev/rd/0 init=/linuxrc devfs=mount,dall rw
LABEL expert26
kernel /install/2.6/vmlinuz
append $KERNEL_PARAMS DEBCONF_PRIORITY=low vga=normal initrd=/install/2.6/initrd.gz ramdisk_size=10240 root=/dev/rd/0 init=/linuxrc devfs=mount,dall rw
DISPLAY isolinux.txt
TIMEOUT 0
PROMPT 1
F1 f1.txt
F2 f2.txt
F3 f3.txt
F4 f4.txt
F5 f5.txt
F6 f6.txt
F7 f7.txt
F8 f8.txt
F9 f9.txt
F0 f10.txt
EOF
else
# Isolinux config file.
cat > boot$N/isolinux/isolinux.cfg <<EOF
DEFAULT /install/vmlinuz
APPEND vga=normal initrd=/install/initrd.gz ramdisk_size=10240 root=/dev/rd/0 init=/linuxrc devfs=mount,dall rw
LABEL linux
kernel /install/vmlinuz
LABEL cdrom
kernel /install/vmlinuz
LABEL expert
kernel /install/vmlinuz
append DEBCONF_PRIORITY=low vga=normal initrd=/install/initrd.gz ramdisk_size=10240 root=/dev/rd/0 init=/linuxrc devfs=mount,dall rw
DISPLAY isolinux.txt
TIMEOUT 0
PROMPT 1
F1 f1.txt
F2 f2.txt
F3 f3.txt
F4 f4.txt
F5 f5.txt
F6 f6.txt
F7 f7.txt
F8 f8.txt
F9 f9.txt
F0 f10.txt
EOF
fi
(echo "Tools for DOS :" ; \
echo "lodlin/ load Linux kernel from DOS" ;\
echo "rawrite2/ rawrite 2.0 : create disks from disk images (*.bin)"; \
) |todos > $CDDIR/tools/README.tools
# Loadlin script for starting install via dos/windows
(cat <<EOF;
@ echo off
rem Flush any write-cached disk blocks before we leave DOS.
If your system does not use smartdrv an error message will appear,
you can safely ignore that.
smartdrv /c
echo using CDROM install
loadlin.exe vmlinuz vga=normal initrd=initrd.gz ramdisk_size=8192 root=/dev/rd/0 init=/linuxrc devfs=mount,dall rw
EOF
) |todos > $CDDIR/install/boot.bat
fi fi
# write final lines to mkisofs_opts # write final lines to mkisofs_opts

View File

@ -32,9 +32,9 @@ fi
for image in boot.img; do for image in boot.img; do
if [ ! -e "$image" ]; then if [ ! -e "$image" ]; then
if [ ! "$DI_WWW_HOME" ];then if [ ! "$DI_WWW_HOME" ];then
cp "$MIRROR/dists/$DI_DIST/main/installer-$ARCH/current/images/$image" . cp "$MIRROR/dists/$DI_DIST/main/installer-$ARCH/current/images/cdrom/$image" .
else else
wget "$DI_WWW_HOME/$image" wget "$DI_WWW_HOME/cdrom/$image"
fi fi
fi fi
done done

View File

@ -13,15 +13,21 @@ set -e
N=$1 N=$1
CDDIR=$2 CDDIR=$2
INSTALLDIR=$CDDIR/install INSTALLDIR=$CDDIR/install
# the ! case further down doesn't seem to work.
#if [ ! "$DI_WWW_HOME" ];then
# DI_WWW_HOME="default"
#fi
if [ "$DI_WWW_HOME" = "default" ];then if [ "$DI_WWW_HOME" = "default" ];then
DI_WWW_HOME="http://people.debian.org/~smarenka/d-i/images-m68k/daily" DI_WWW_HOME="http://people.debian.org/~smarenka/d-i/images-m68k/daily/"
elif [ "$DI_WWW_HOME" = "test" ];then elif [ "$DI_WWW_HOME" = "test" ];then
DI_WWW_HOME="http://people.debian.org/~smarenka/d-i/test/cd" DI_WWW_HOME="http://people.debian.org/~smarenka/d-i/test/cd/"
fi fi
if [ ! "$DI_DIST" ]; then if [ ! "$DI_DIST" ]; then
DI_DIST="$DI_CODENAME" DI_DIST="$DI_CODENAME"
fi fi
DI_DIR="$MIRROR/dists/$DI_DIST/main/installer-$ARCH/current/images"
DI_BOOTLOADER="http://people.debian.org/~smarenka/d-i" DI_BOOTLOADER="http://people.debian.org/~smarenka/d-i"
cd $CDDIR/.. cd $CDDIR/..
@ -36,6 +42,7 @@ fi
echo "DI_WWW_HOME: $DI_WWW_HOME" echo "DI_WWW_HOME: $DI_WWW_HOME"
echo "DI_BOOTLOADER: $DI_BOOTLOADER" echo "DI_BOOTLOADER: $DI_BOOTLOADER"
echo "DI_DIR: $DI_DIR"
install_languages $CDDIR install_languages $CDDIR
@ -49,43 +56,53 @@ cd $INSTALLDIR
# available to build the cd. # available to build the cd.
if [ ! "$DI_WWW_HOME" ];then if [ ! "$DI_WWW_HOME" ];then
DI_DIR="$MIRROR/dists/$DI_DIST/main/installer-$ARCH/current/images" if [ ! $DI_DIR ]; then
SUBARCHS=`find "$DI_DIR/*" -type d -print | cut -d'/' -f3` echo "Rats, can't find: $DI_DIR!"
for subarch in $SUBARCHS; do
echo "subarch: $subarch"
mkdir $subarch
cp "$DI_DIR"/$subarch/* $subarch
done
cp "$DI_DIR/cdrom-initrd.gz" root.bin
if [ -f "$DI_DIR/cdrom22-initrd.gz" ]; then
cp "$DI_DIR/cdrom22-initrd.gz" root22.bin
fi fi
cp "$DI_DIR/MANIFEST" . cp -a $DI_DIR/* .
# SUBARCHS=`find "$DI_DIR/*" -type d -print | sed -e 's,.*/,,'`
# for subarch in $SUBARCHS; do
# echo "subarch: $subarch"
# mkdir $subarch
# cp -a "$DI_DIR"/$subarch/* $subarch
# done
# cp "$DI_DIR/cdrom-initrd.gz" root.bin
# if [ -f "$DI_DIR/cdrom22-initrd.gz" ]; then
# cp "$DI_DIR/cdrom22-initrd.gz" root22.bin
# fi
# cp "$DI_DIR/MANIFEST" .
else else
SUBARCHS=$(wget -q "$DI_WWW_HOME/" -O - | \ wget -q -np -nH --cut-dirs=4 -r -l 3 -R '.gif,.log,stats.txt,index*' "$DI_WWW_HOME"
sed -n -e 's/.*>\(.*\)\/<.*/\1/p')
# SUBARCHS=$(wget -q "$DI_WWW_HOME/" -O - | \
# sed -n -e 's/.*>\(.*\)\/<.*/\1/p')
# for subarch in $SUBARCHS; do
# echo "subarch: $subarch"
# mkdir $subarch
# cd $subarch
# wget -q -np -nd -r -l 1 -R '.gif' "$DI_WWW_HOME/$subarch"
# rm index*
# cd ..
# done
# wget -O root.bin "$DI_WWW_HOME/cdrom-initrd.gz"
# if ! wget -O root22.bin "$DI_WWW_HOME/cdrom22-initrd.gz" ; then
# rm root22.bin
# fi
# wget -O MANIFEST "$DI_WWW_HOME/MANIFEST"
for subarch in $SUBARCHS; do
echo "subarch: $subarch"
mkdir $subarch
cd $subarch
wget -q -np -nd -r -l 1 -R '.gif' "$DI_WWW_HOME/$subarch"
rm index*
cd ..
done
wget -O root.bin "$DI_WWW_HOME/cdrom-initrd.gz"
if ! wget -O root22.bin "$DI_WWW_HOME/cdrom22-initrd.gz" ; then
rm root22.bin
fi
wget -O MANIFEST "$DI_WWW_HOME/MANIFEST"
fi fi
SUBARCHS=`grep vmlinu MANIFEST | cut -d'-' -f3 | sort -u | awk '{printf "%s ", $1}'`
# grab unpackged stuff # grab unpackged stuff
if [ -d tools ]; then
cd tools
fi
for subarch in $SUBARCHS; do for subarch in $SUBARCHS; do
TARF="bootloaders-$subarch.tar.bz2" TARF="bootloaders-$subarch.tar.bz2"
if `wget -O $TARF "$DI_BOOTLOADER/$TARF"` ; then if `wget -q -O $TARF "$DI_BOOTLOADER/$TARF"` ; then
tar -xvjf $TARF tar -xjf $TARF
fi fi
rm -f $TARF rm -f $TARF
done done
@ -99,13 +116,22 @@ if [ "" != "`echo $SUBARCHS | grep amiga`" ]; then
# Setup amiga icons # Setup amiga icons
cp amiga/amiga.info $CDDIR/install.info cp amiga/amiga.info $CDDIR/install.info
if [ -d $INSTALLDIR/tools ]; then
cp amiga/amiga.info $INSTALLDIR/tools.info
fi
mv amiga/amiga.info . mv amiga/amiga.info .
fi fi
cd $INSTALLDIR
# bvme6000 specific stuff # bvme6000 specific stuff
if [ "" != "`echo $SUBARCHS | grep bvme6000`" ]; then if [ "" != "`echo $SUBARCHS | grep bvme6000`" ]; then
mkdir -p $CDDIR/boot1/boot mkdir -p $CDDIR/boot1/boot
if [ -f bvme6000/cdrom-boot.img.gz ]; then
cp bvme6000/cdrom-boot.img.gz $CDDIR/boot1/boot/boot.bin cp bvme6000/cdrom-boot.img.gz $CDDIR/boot1/boot/boot.bin
else
cp cdrom/bvme6000-boot.img.gz $CDDIR/boot1/boot/boot.bin
fi
echo -n " -b boot/boot.bin -c boot/boot.catalog boot1" \ echo -n " -b boot/boot.bin -c boot/boot.catalog boot1" \
>> $N.mkisofs_opts >> $N.mkisofs_opts
fi fi

View File

@ -14,7 +14,7 @@ N=$1
CDDIR=$2 CDDIR=$2
INSTALLDIR=$CDDIR/install INSTALLDIR=$CDDIR/install
if [ "$DI_WWW_HOME" = "default" ];then if [ "$DI_WWW_HOME" = "default" ];then
DI_WWW_HOME="http://people.debian.org/~luther/debian-installer/daily-powerpc-built/current" DI_WWW_HOME="http://people.debian.org/~luther/d-i/images/daily"
fi fi
if [ ! "$DI_DIST" ]; then if [ ! "$DI_DIST" ]; then
DI_DIST="$DI_CODENAME" DI_DIST="$DI_CODENAME"
@ -31,13 +31,25 @@ fi
install_languages $CDDIR install_languages $CDDIR
echo -n "--netatalk -hfs -probe -map $BASEDIR/data/hfs.map" \ echo -n "--chrp-boot --netatalk -hfs -probe -map $BASEDIR/data/hfs.map" \
> $N.mkisofs_opts > $N.mkisofs_opts
# We are still missing this for prep # We are still missing this for prep
#echo -n " -prep-boot install/prep/boot.bin" >> $N.mkisofs_opts #echo -n " -prep-boot install/prep/boot.bin" >> $N.mkisofs_opts
# For newworld Mac booting - Note, no spaces in volid! # For newworld Mac booting - Note, no spaces in volid!
echo -n " -part -no-desktop -hfs-bless CD$N/install -hfs-volid Debian/PowerPC_${CODENAME}" \ echo -n " -part -no-desktop -hfs-bless CD$N/install -hfs-volid Debian/PowerPC_${CODENAME}" \
>> $N.mkisofs_opts >> $N.mkisofs_opts
# Recommended size for a HFS Catalog is 4 megas per giga, defaults to 4 megas
if [ -n "$SIZELIMIT1" ];then
if [ "$SIZELIMIT1" -gt 1000000000 ];then
let newsize="$SIZELIMIT1"/256
echo "-hfs-parms MAX_XTCSIZE=$newsize" >> $N.mkisofs_opts
fi
else
if [ -n "$SIZELIMIT" ] && [ "$SIZELIMIT" -gt 1000000000 ];then
let newsize="$SIZELIMIT"/256
echo "-hfs-parms MAX_XTCSIZE=$newsize" >> $N.mkisofs_opts
fi
fi
cd $INSTALLDIR cd $INSTALLDIR
# Extract yaboot from the archive # Extract yaboot from the archive
@ -72,8 +84,20 @@ do
else else
DI_DIR="di_stuff" DI_DIR="di_stuff"
wget -r -nd --no-parent --level=1 -P "$DI_DIR" "$DI_WWW_HOME/$subarch/cdrom/" wget -r -nd --no-parent --level=1 -P "$DI_DIR" "$DI_WWW_HOME/$subarch/cdrom/"
# One of these two wgets will fail; the price of maintaining
# compatibility. The 2.4/2.6 duplication can go away once the new
# debian-installer image layout reaches sarge.
wget -r -nd --no-parent --level=1 -P "$DI_DIR/2.4" "$DI_WWW_HOME/$subarch/cdrom/2.4/"
wget -r -nd --no-parent --level=1 -P "$DI_DIR/2.6" "$DI_WWW_HOME/$subarch/cdrom/2.6/" wget -r -nd --no-parent --level=1 -P "$DI_DIR/2.6" "$DI_WWW_HOME/$subarch/cdrom/2.6/"
rm -f "$DI_DIR"/index* "$DI_DIR/2.6"/index* rm -f "$DI_DIR"/index* "$DI_DIR/2.4"/index* "$DI_DIR/2.6"/index*
if [ -d "$DI_DIR/2.6" ]; then
# Cope with old debian-installer image layout from before 2.6
# became the default.
mkdir -p "$DI_DIR/2.4"
find "$DI_DIR" -type f -maxdepth 1 | xargs -r mv --target-directory="$DI_DIR/2.4"
find "$DI_DIR/2.6" -type f -maxdepth 1 | xargs -r mv --target-directory="$DI_DIR"
rm -rf "$DI_DIR/2.6"
fi
fi fi
cp -a "$DI_DIR" "$subarch" cp -a "$DI_DIR" "$subarch"
rm -rf di_stuff rm -rf di_stuff

View File

@ -35,11 +35,21 @@ inst=boot1
# Setup directories # Setup directories
mkdir -p $inst/boot mkdir -p $inst/boot
silo_deb=`ls $MIRROR/pool/main/s/silo/silo_*.deb | tail -1` silo_deb=`ls -t $MIRROR/pool/main/s/silo/silo_*.deb | tail -1`
# put the relevant parts of SILO boot loader # put the relevant parts of SILO boot loader
(ar p $silo_deb data.tar.gz | \ (ar p $silo_deb data.tar.gz | \
tar zxf - -C $inst/ ./boot/{cd,second}.b) tar zxf - -C $inst/ ./boot/{cd,second}.b)
if [ ! -e $inst/boot/cd.b ] ; then
echo "no cd.b found! exiting"
exit 1
fi
if [ ! -e $inst/boot/second.b ] ; then
echo "no second.b found! exiting"
exit 1
fi
# Some custom etc files # Some custom etc files
cp -f -p $BASEDIR/data/sparc/etc/{debian.txt,silo.conf} \ cp -f -p $BASEDIR/data/sparc/etc/{debian.txt,silo.conf} \
$inst/boot/ $inst/boot/

View File

@ -37,6 +37,7 @@ wireless-tools
xfsprogs xfsprogs
jfsutils jfsutils
reiserfsprogs reiserfsprogs
libfribidi0
#ifdef ARCH_i386 #ifdef ARCH_i386
discover discover
discover1 discover1
@ -58,6 +59,8 @@ EOF
cat >> debian-installer+kernel << EOF cat >> debian-installer+kernel << EOF
#endif #endif
#ifdef ARCH_alpha #ifdef ARCH_alpha
aboot
aboot-base
discover1 discover1
EOF EOF
@ -82,8 +85,11 @@ discover1
initrd-tools initrd-tools
EOF EOF
/bin/sed -n 's/Package: \(kernel-image-.*\)$/\1/p' \ /bin/sed -n 's/Package: \(kernel-image-2\.4\..*\)$/\1/p' \
$MIRROR/dists/$CODENAME/main/binary-ia64/Packages | grep 2.4 | tail -n 4 \ $MIRROR/dists/$CODENAME/main/binary-ia64/Packages | tail -n 4 \
>> debian-installer+kernel
/bin/sed -n 's/Package: \(kernel-image-2\.4-.*\)$/\1/p' \
$MIRROR/dists/$CODENAME/main/binary-ia64/Packages \
>> debian-installer+kernel >> debian-installer+kernel
cat >> debian-installer+kernel << EOF cat >> debian-installer+kernel << EOF
@ -103,6 +109,7 @@ done
cat >> debian-installer+kernel << EOF cat >> debian-installer+kernel << EOF
#endif #endif
#ifdef ARCH_mipsel #ifdef ARCH_mipsel
delo
EOF EOF
# Only include mipsel kernels that d-i base-installer installs. # Only include mipsel kernels that d-i base-installer installs.
@ -117,12 +124,17 @@ cat >> debian-installer+kernel << EOF
#endif #endif
#ifdef ARCH_powerpc #ifdef ARCH_powerpc
discover1 discover1
quik
yaboot yaboot
mkvmlinuz
module-init-tools
initrd-tools
EOF EOF
# Only include powerpc kernels that d-i base-installer installs. # Only include powerpc kernels that d-i base-installer installs.
for subarch in powerpc-pmac powerpc-small-pmac powerpc-prep powerpc-chrp \ for subarch in powerpc power3 power4 power3-pmac power3-chrp-rs6k \
powerpc-chrp-rs6k apus; do power4-pmac power4-chrp-rs6k powerpc-pmac powerpc-small-pmac \
powerpc-prep powerpc-chrp powerpc-chrp-rs6k apus; do
sed -n 's/Package: \(kernel-image-.*-.*\)$/\1/p' \ sed -n 's/Package: \(kernel-image-.*-.*\)$/\1/p' \
$MIRROR/dists/$CODENAME/main/binary-powerpc/Packages \ $MIRROR/dists/$CODENAME/main/binary-powerpc/Packages \
| grep -- "-$subarch$" | sort -n | tail -n 1 \ | grep -- "-$subarch$" | sort -n | tail -n 1 \
@ -133,6 +145,7 @@ cat >> debian-installer+kernel << EOF
#endif #endif
#ifdef ARCH_sparc #ifdef ARCH_sparc
discover1 discover1
initrd-tools
EOF EOF
/bin/sed -n 's/Package: \(kernel-image-.*-sparc.*\)$/\1/p' \ /bin/sed -n 's/Package: \(kernel-image-.*-sparc.*\)$/\1/p' \

View File

@ -126,9 +126,10 @@ while (<F>) {
$tv{'Filename'}= "$pathprefix$fn"; $tv{'Filename'}= "$pathprefix$fn";
open(C,"md5sum <$fn |") || die "$fn $!"; open(C,"md5sum $fn |") || die "$fn $!";
chop($_=<C>); close(C); $? and die "\`md5sum < $fn' exited with $?\n"; chop($_=<C>); close(C); $? and die "\`md5sum < $fn' exited with $?\n";
/^[0-9a-f]{32}$/ or die "Strange text from \`md5sum < $fn': \`$_'\n"; /^[0-9a-f]{32}/ or die "Strange text from \`md5sum < $fn': \`$_'\n";
s/\ .*$//;
$tv{'MD5sum'}= $_; $tv{'MD5sum'}= $_;
@stat= stat($fn) or die "Couldn't stat $fn: $!\n"; @stat= stat($fn) or die "Couldn't stat $fn: $!\n";

View File

@ -13,13 +13,13 @@
MIRROR=${MIRROR:-/mirror/debian} MIRROR=${MIRROR:-/mirror/debian}
# If you have a non-US mirror, where is it? Leave blank if you don't have one. # If you have a non-US mirror, where is it? Leave blank if you don't have one.
NONUS=${NONUS:-$MIRROR/non-US} NONUS=${NONUS:-/mirror/debian-non-US}
# Do you want non-free? 1 for yes, 0 for no # Do you want non-free? 1 for yes, 0 for no
NONFREE=1 NONFREE=0
# What release version is this? # What release version is this?
VER=3.0r1 VER=3.0r2
# Path to use with mkisofs/mkhybrid # Path to use with mkisofs/mkhybrid
MKISOFS=${MKISOFS:-"mkhybrid"} MKISOFS=${MKISOFS:-"mkhybrid"}
@ -31,12 +31,12 @@ TDIR=/mirror/debian-cd
CODENAME=woody CODENAME=woody
# Path where the images will be written # Path where the images will be written
OUT=/mirror/debian-cd OUT=/mirror/woody-update/r2
# Location of the diff file to use to determine the changes. If you leave # Location of the diff file to use to determine the changes. If you leave
# this blank, we'll try to determine the changes from the ChangeLog files, # this blank, we'll try to determine the changes from the ChangeLog files,
# which is probably less accurate. # which is probably less accurate.
DIFF=/mirror/lists/$CODENAME/r0-r1.diff #~/r2.diff DIFF=/mirror/lists/$CODENAME/r0-r2.diff #~/r2.diff
REL=Debian"$VER" REL=Debian"$VER"
CLOG=dists/$CODENAME/ChangeLog CLOG=dists/$CODENAME/ChangeLog
@ -154,7 +154,7 @@ if [ -e $DIFF ] ; then
egrep -e \\.deb$ $UPD/list >$UPD/bin-list egrep -e \\.deb$ $UPD/list >$UPD/bin-list
egrep -e \\.gz$ -e \\.dsc$ $UPD/list >$UPD/src-list egrep -e \\.gz$ -e \\.dsc$ $UPD/list >$UPD/src-list
else else
egrep -e ^dists.*\\.deb$ $CLOG >$UPD/bin-list egrep -e \\.deb$ $CLOG >$UPD/bin-list
egrep -e \\.gz$ -e \\.dsc$ $CLOG >$UPD/src-list egrep -e \\.gz$ -e \\.dsc$ $CLOG >$UPD/src-list
fi fi
if [ "$NONFREE"x != "1"x ] ; then if [ "$NONFREE"x != "1"x ] ; then
@ -171,10 +171,10 @@ if [ "$NONUS"x != ""x ] ; then
if [ -e $DIFF ] ; then if [ -e $DIFF ] ; then
grep non-US $DIFF >$UPD/nu-list grep non-US $DIFF >$UPD/nu-list
egrep -e \\.deb$ $UPD/nu-list >$UPD/bin-nu-list egrep -e \\.deb$ $UPD/nu-list >$UPD/bin-nu-list
egrep -e ^dists.*\\.gz$ -e ^dists.*\\.dsc$ $UPD/nu-list >$UPD/src-nu-list egrep -e \\.gz$ -e \\.dsc$ $UPD/nu-list >$UPD/src-nu-list
else else
egrep -e ^dists.*\\.deb$ $NUCLOG | sed 's?^stable?dists/potato?g' > $UPD/bin-nu-list egrep -e \\.deb$ $NUCLOG | sed 's?^stable?dists/woody?g' > $UPD/bin-nu-list
egrep -e ^dists.*\\.gz$ -e ^dists.*\\.dsc$ $NUCLOG | sed 's?^stable?dists/potato?g' > $UPD/src-nu-list egrep -e \\.gz$ -e \\.dsc$ $NUCLOG | sed 's?^stable?dists/woody?g' > $UPD/src-nu-list
fi fi
if [ "$NONFREE"x != "1"x ] ; then if [ "$NONFREE"x != "1"x ] ; then